<!-- ⚠️ IMPORTANT: READ ME! ⚠️
This is the default template for bug reports.
For feature requests or performance issues, please switch instead to the appropriate template in the "Choose a template" list.

It is important that you fill all the fields of the template.
-->

### Environment/Versions

- PIKA version:
- Package: <!--[flatpak? Installer from https://heckin.technology/AlderconeStudio/PIKApp? If another installer, tell us where from] (write it after the > symbol)-->
- Operating System: <!--[Windows? macOS? Linux? All?] (write it after the > symbol) -->

<!--Note: bug reporters are expected to have verified the bug still exists
either in the last stable version of PIKA or on updated development code
(master branch).-->

### Description of the bug

<!--Please describe your issue with details.
Add screenshot or other files if needed.(write it after the > symbol)-->

### Reproduction

Is the bug reproducible? <!--[Always / Randomly / Happened only once ] (write it after the > symbol)-->

Reproduction steps:

1. 
2. 
3. 

…

Expected result:

Actual result:

### Additional information

If you have a backtrace for a crash or a warning, paste it here.
