
/* Generated data (by pika-mkenums) */

#include "stamp-display-enums.h"
#include "config.h"
#include <gio/gio.h>
#include "libpikabase/pikabase.h"
#include "display-enums.h"
#include "pika-intl.h"

/* enumerations from "display-enums.h" */
GType
pika_button_press_type_get_type (void)
{
  static const GEnumValue values[] =
  {
    { PIKA_BUTTON_PRESS_NORMAL, "PIKA_BUTTON_PRESS_NORMAL", "normal" },
    { PIKA_BUTTON_PRESS_DOUBLE, "PIKA_BUTTON_PRESS_DOUBLE", "double" },
    { PIKA_BUTTON_PRESS_TRIPLE, "PIKA_BUTTON_PRESS_TRIPLE", "triple" },
    { 0, NULL, NULL }
  };

  static const PikaEnumDesc descs[] =
  {
    { PIKA_BUTTON_PRESS_NORMAL, "PIKA_BUTTON_PRESS_NORMAL", NULL },
    { PIKA_BUTTON_PRESS_DOUBLE, "PIKA_BUTTON_PRESS_DOUBLE", NULL },
    { PIKA_BUTTON_PRESS_TRIPLE, "PIKA_BUTTON_PRESS_TRIPLE", NULL },
    { 0, NULL, NULL }
  };

  static GType type = 0;

  if (G_UNLIKELY (! type))
    {
      type = g_enum_register_static ("PikaButtonPressType", values);
      pika_type_set_translation_context (type, "button-press-type");
      pika_enum_set_value_descriptions (type, descs);
    }

  return type;
}

GType
pika_button_release_type_get_type (void)
{
  static const GEnumValue values[] =
  {
    { PIKA_BUTTON_RELEASE_NORMAL, "PIKA_BUTTON_RELEASE_NORMAL", "normal" },
    { PIKA_BUTTON_RELEASE_CANCEL, "PIKA_BUTTON_RELEASE_CANCEL", "cancel" },
    { PIKA_BUTTON_RELEASE_CLICK, "PIKA_BUTTON_RELEASE_CLICK", "click" },
    { PIKA_BUTTON_RELEASE_NO_MOTION, "PIKA_BUTTON_RELEASE_NO_MOTION", "no-motion" },
    { 0, NULL, NULL }
  };

  static const PikaEnumDesc descs[] =
  {
    { PIKA_BUTTON_RELEASE_NORMAL, "PIKA_BUTTON_RELEASE_NORMAL", NULL },
    { PIKA_BUTTON_RELEASE_CANCEL, "PIKA_BUTTON_RELEASE_CANCEL", NULL },
    { PIKA_BUTTON_RELEASE_CLICK, "PIKA_BUTTON_RELEASE_CLICK", NULL },
    { PIKA_BUTTON_RELEASE_NO_MOTION, "PIKA_BUTTON_RELEASE_NO_MOTION", NULL },
    { 0, NULL, NULL }
  };

  static GType type = 0;

  if (G_UNLIKELY (! type))
    {
      type = g_enum_register_static ("PikaButtonReleaseType", values);
      pika_type_set_translation_context (type, "button-release-type");
      pika_enum_set_value_descriptions (type, descs);
    }

  return type;
}

GType
pika_compass_orientation_get_type (void)
{
  static const GEnumValue values[] =
  {
    { PIKA_COMPASS_ORIENTATION_AUTO, "PIKA_COMPASS_ORIENTATION_AUTO", "auto" },
    { PIKA_COMPASS_ORIENTATION_HORIZONTAL, "PIKA_COMPASS_ORIENTATION_HORIZONTAL", "horizontal" },
    { PIKA_COMPASS_ORIENTATION_VERTICAL, "PIKA_COMPASS_ORIENTATION_VERTICAL", "vertical" },
    { 0, NULL, NULL }
  };

  static const PikaEnumDesc descs[] =
  {
    { PIKA_COMPASS_ORIENTATION_AUTO, NC_("compass-orientation", "Auto"), NULL },
    { PIKA_COMPASS_ORIENTATION_HORIZONTAL, NC_("compass-orientation", "Horizontal"), NULL },
    { PIKA_COMPASS_ORIENTATION_VERTICAL, NC_("compass-orientation", "Vertical"), NULL },
    { 0, NULL, NULL }
  };

  static GType type = 0;

  if (G_UNLIKELY (! type))
    {
      type = g_enum_register_static ("PikaCompassOrientation", values);
      pika_type_set_translation_context (type, "compass-orientation");
      pika_enum_set_value_descriptions (type, descs);
    }

  return type;
}

GType
pika_cursor_precision_get_type (void)
{
  static const GEnumValue values[] =
  {
    { PIKA_CURSOR_PRECISION_PIXEL_CENTER, "PIKA_CURSOR_PRECISION_PIXEL_CENTER", "pixel-center" },
    { PIKA_CURSOR_PRECISION_PIXEL_BORDER, "PIKA_CURSOR_PRECISION_PIXEL_BORDER", "pixel-border" },
    { PIKA_CURSOR_PRECISION_SUBPIXEL, "PIKA_CURSOR_PRECISION_SUBPIXEL", "subpixel" },
    { 0, NULL, NULL }
  };

  static const PikaEnumDesc descs[] =
  {
    { PIKA_CURSOR_PRECISION_PIXEL_CENTER, "PIKA_CURSOR_PRECISION_PIXEL_CENTER", NULL },
    { PIKA_CURSOR_PRECISION_PIXEL_BORDER, "PIKA_CURSOR_PRECISION_PIXEL_BORDER", NULL },
    { PIKA_CURSOR_PRECISION_SUBPIXEL, "PIKA_CURSOR_PRECISION_SUBPIXEL", NULL },
    { 0, NULL, NULL }
  };

  static GType type = 0;

  if (G_UNLIKELY (! type))
    {
      type = g_enum_register_static ("PikaCursorPrecision", values);
      pika_type_set_translation_context (type, "cursor-precision");
      pika_enum_set_value_descriptions (type, descs);
    }

  return type;
}

GType
pika_guides_type_get_type (void)
{
  static const GEnumValue values[] =
  {
    { PIKA_GUIDES_NONE, "PIKA_GUIDES_NONE", "none" },
    { PIKA_GUIDES_CENTER_LINES, "PIKA_GUIDES_CENTER_LINES", "center-lines" },
    { PIKA_GUIDES_THIRDS, "PIKA_GUIDES_THIRDS", "thirds" },
    { PIKA_GUIDES_FIFTHS, "PIKA_GUIDES_FIFTHS", "fifths" },
    { PIKA_GUIDES_GOLDEN, "PIKA_GUIDES_GOLDEN", "golden" },
    { PIKA_GUIDES_DIAGONALS, "PIKA_GUIDES_DIAGONALS", "diagonals" },
    { PIKA_GUIDES_N_LINES, "PIKA_GUIDES_N_LINES", "n-lines" },
    { PIKA_GUIDES_SPACING, "PIKA_GUIDES_SPACING", "spacing" },
    { 0, NULL, NULL }
  };

  static const PikaEnumDesc descs[] =
  {
    { PIKA_GUIDES_NONE, NC_("guides-type", "No guides"), NULL },
    { PIKA_GUIDES_CENTER_LINES, NC_("guides-type", "Center lines"), NULL },
    { PIKA_GUIDES_THIRDS, NC_("guides-type", "Rule of thirds"), NULL },
    { PIKA_GUIDES_FIFTHS, NC_("guides-type", "Rule of fifths"), NULL },
    { PIKA_GUIDES_GOLDEN, NC_("guides-type", "Golden sections"), NULL },
    { PIKA_GUIDES_DIAGONALS, NC_("guides-type", "Diagonal lines"), NULL },
    { PIKA_GUIDES_N_LINES, NC_("guides-type", "Number of lines"), NULL },
    { PIKA_GUIDES_SPACING, NC_("guides-type", "Line spacing"), NULL },
    { 0, NULL, NULL }
  };

  static GType type = 0;

  if (G_UNLIKELY (! type))
    {
      type = g_enum_register_static ("PikaGuidesType", values);
      pika_type_set_translation_context (type, "guides-type");
      pika_enum_set_value_descriptions (type, descs);
    }

  return type;
}

GType
pika_handle_type_get_type (void)
{
  static const GEnumValue values[] =
  {
    { PIKA_HANDLE_SQUARE, "PIKA_HANDLE_SQUARE", "square" },
    { PIKA_HANDLE_DASHED_SQUARE, "PIKA_HANDLE_DASHED_SQUARE", "dashed-square" },
    { PIKA_HANDLE_FILLED_SQUARE, "PIKA_HANDLE_FILLED_SQUARE", "filled-square" },
    { PIKA_HANDLE_CIRCLE, "PIKA_HANDLE_CIRCLE", "circle" },
    { PIKA_HANDLE_DASHED_CIRCLE, "PIKA_HANDLE_DASHED_CIRCLE", "dashed-circle" },
    { PIKA_HANDLE_FILLED_CIRCLE, "PIKA_HANDLE_FILLED_CIRCLE", "filled-circle" },
    { PIKA_HANDLE_DIAMOND, "PIKA_HANDLE_DIAMOND", "diamond" },
    { PIKA_HANDLE_DASHED_DIAMOND, "PIKA_HANDLE_DASHED_DIAMOND", "dashed-diamond" },
    { PIKA_HANDLE_FILLED_DIAMOND, "PIKA_HANDLE_FILLED_DIAMOND", "filled-diamond" },
    { PIKA_HANDLE_CROSS, "PIKA_HANDLE_CROSS", "cross" },
    { PIKA_HANDLE_CROSSHAIR, "PIKA_HANDLE_CROSSHAIR", "crosshair" },
    { PIKA_HANDLE_DROP, "PIKA_HANDLE_DROP", "drop" },
    { PIKA_HANDLE_FILLED_DROP, "PIKA_HANDLE_FILLED_DROP", "filled-drop" },
    { 0, NULL, NULL }
  };

  static const PikaEnumDesc descs[] =
  {
    { PIKA_HANDLE_SQUARE, "PIKA_HANDLE_SQUARE", NULL },
    { PIKA_HANDLE_DASHED_SQUARE, "PIKA_HANDLE_DASHED_SQUARE", NULL },
    { PIKA_HANDLE_FILLED_SQUARE, "PIKA_HANDLE_FILLED_SQUARE", NULL },
    { PIKA_HANDLE_CIRCLE, "PIKA_HANDLE_CIRCLE", NULL },
    { PIKA_HANDLE_DASHED_CIRCLE, "PIKA_HANDLE_DASHED_CIRCLE", NULL },
    { PIKA_HANDLE_FILLED_CIRCLE, "PIKA_HANDLE_FILLED_CIRCLE", NULL },
    { PIKA_HANDLE_DIAMOND, "PIKA_HANDLE_DIAMOND", NULL },
    { PIKA_HANDLE_DASHED_DIAMOND, "PIKA_HANDLE_DASHED_DIAMOND", NULL },
    { PIKA_HANDLE_FILLED_DIAMOND, "PIKA_HANDLE_FILLED_DIAMOND", NULL },
    { PIKA_HANDLE_CROSS, "PIKA_HANDLE_CROSS", NULL },
    { PIKA_HANDLE_CROSSHAIR, "PIKA_HANDLE_CROSSHAIR", NULL },
    { PIKA_HANDLE_DROP, "PIKA_HANDLE_DROP", NULL },
    { PIKA_HANDLE_FILLED_DROP, "PIKA_HANDLE_FILLED_DROP", NULL },
    { 0, NULL, NULL }
  };

  static GType type = 0;

  if (G_UNLIKELY (! type))
    {
      type = g_enum_register_static ("PikaHandleType", values);
      pika_type_set_translation_context (type, "handle-type");
      pika_enum_set_value_descriptions (type, descs);
    }

  return type;
}

GType
pika_handle_anchor_get_type (void)
{
  static const GEnumValue values[] =
  {
    { PIKA_HANDLE_ANCHOR_CENTER, "PIKA_HANDLE_ANCHOR_CENTER", "center" },
    { PIKA_HANDLE_ANCHOR_NORTH, "PIKA_HANDLE_ANCHOR_NORTH", "north" },
    { PIKA_HANDLE_ANCHOR_NORTH_WEST, "PIKA_HANDLE_ANCHOR_NORTH_WEST", "north-west" },
    { PIKA_HANDLE_ANCHOR_NORTH_EAST, "PIKA_HANDLE_ANCHOR_NORTH_EAST", "north-east" },
    { PIKA_HANDLE_ANCHOR_SOUTH, "PIKA_HANDLE_ANCHOR_SOUTH", "south" },
    { PIKA_HANDLE_ANCHOR_SOUTH_WEST, "PIKA_HANDLE_ANCHOR_SOUTH_WEST", "south-west" },
    { PIKA_HANDLE_ANCHOR_SOUTH_EAST, "PIKA_HANDLE_ANCHOR_SOUTH_EAST", "south-east" },
    { PIKA_HANDLE_ANCHOR_WEST, "PIKA_HANDLE_ANCHOR_WEST", "west" },
    { PIKA_HANDLE_ANCHOR_EAST, "PIKA_HANDLE_ANCHOR_EAST", "east" },
    { 0, NULL, NULL }
  };

  static const PikaEnumDesc descs[] =
  {
    { PIKA_HANDLE_ANCHOR_CENTER, "PIKA_HANDLE_ANCHOR_CENTER", NULL },
    { PIKA_HANDLE_ANCHOR_NORTH, "PIKA_HANDLE_ANCHOR_NORTH", NULL },
    { PIKA_HANDLE_ANCHOR_NORTH_WEST, "PIKA_HANDLE_ANCHOR_NORTH_WEST", NULL },
    { PIKA_HANDLE_ANCHOR_NORTH_EAST, "PIKA_HANDLE_ANCHOR_NORTH_EAST", NULL },
    { PIKA_HANDLE_ANCHOR_SOUTH, "PIKA_HANDLE_ANCHOR_SOUTH", NULL },
    { PIKA_HANDLE_ANCHOR_SOUTH_WEST, "PIKA_HANDLE_ANCHOR_SOUTH_WEST", NULL },
    { PIKA_HANDLE_ANCHOR_SOUTH_EAST, "PIKA_HANDLE_ANCHOR_SOUTH_EAST", NULL },
    { PIKA_HANDLE_ANCHOR_WEST, "PIKA_HANDLE_ANCHOR_WEST", NULL },
    { PIKA_HANDLE_ANCHOR_EAST, "PIKA_HANDLE_ANCHOR_EAST", NULL },
    { 0, NULL, NULL }
  };

  static GType type = 0;

  if (G_UNLIKELY (! type))
    {
      type = g_enum_register_static ("PikaHandleAnchor", values);
      pika_type_set_translation_context (type, "handle-anchor");
      pika_enum_set_value_descriptions (type, descs);
    }

  return type;
}

GType
pika_limit_type_get_type (void)
{
  static const GEnumValue values[] =
  {
    { PIKA_LIMIT_CIRCLE, "PIKA_LIMIT_CIRCLE", "circle" },
    { PIKA_LIMIT_SQUARE, "PIKA_LIMIT_SQUARE", "square" },
    { PIKA_LIMIT_DIAMOND, "PIKA_LIMIT_DIAMOND", "diamond" },
    { PIKA_LIMIT_HORIZONTAL, "PIKA_LIMIT_HORIZONTAL", "horizontal" },
    { PIKA_LIMIT_VERTICAL, "PIKA_LIMIT_VERTICAL", "vertical" },
    { 0, NULL, NULL }
  };

  static const PikaEnumDesc descs[] =
  {
    { PIKA_LIMIT_CIRCLE, "PIKA_LIMIT_CIRCLE", NULL },
    { PIKA_LIMIT_SQUARE, "PIKA_LIMIT_SQUARE", NULL },
    { PIKA_LIMIT_DIAMOND, "PIKA_LIMIT_DIAMOND", NULL },
    { PIKA_LIMIT_HORIZONTAL, "PIKA_LIMIT_HORIZONTAL", NULL },
    { PIKA_LIMIT_VERTICAL, "PIKA_LIMIT_VERTICAL", NULL },
    { 0, NULL, NULL }
  };

  static GType type = 0;

  if (G_UNLIKELY (! type))
    {
      type = g_enum_register_static ("PikaLimitType", values);
      pika_type_set_translation_context (type, "limit-type");
      pika_enum_set_value_descriptions (type, descs);
    }

  return type;
}

GType
pika_path_style_get_type (void)
{
  static const GEnumValue values[] =
  {
    { PIKA_PATH_STYLE_DEFAULT, "PIKA_PATH_STYLE_DEFAULT", "default" },
    { PIKA_PATH_STYLE_VECTORS, "PIKA_PATH_STYLE_VECTORS", "vectors" },
    { PIKA_PATH_STYLE_OUTLINE, "PIKA_PATH_STYLE_OUTLINE", "outline" },
    { 0, NULL, NULL }
  };

  static const PikaEnumDesc descs[] =
  {
    { PIKA_PATH_STYLE_DEFAULT, "PIKA_PATH_STYLE_DEFAULT", NULL },
    { PIKA_PATH_STYLE_VECTORS, "PIKA_PATH_STYLE_VECTORS", NULL },
    { PIKA_PATH_STYLE_OUTLINE, "PIKA_PATH_STYLE_OUTLINE", NULL },
    { 0, NULL, NULL }
  };

  static GType type = 0;

  if (G_UNLIKELY (! type))
    {
      type = g_enum_register_static ("PikaPathStyle", values);
      pika_type_set_translation_context (type, "path-style");
      pika_enum_set_value_descriptions (type, descs);
    }

  return type;
}

GType
pika_rectangle_constraint_get_type (void)
{
  static const GEnumValue values[] =
  {
    { PIKA_RECTANGLE_CONSTRAIN_NONE, "PIKA_RECTANGLE_CONSTRAIN_NONE", "none" },
    { PIKA_RECTANGLE_CONSTRAIN_IMAGE, "PIKA_RECTANGLE_CONSTRAIN_IMAGE", "image" },
    { PIKA_RECTANGLE_CONSTRAIN_DRAWABLE, "PIKA_RECTANGLE_CONSTRAIN_DRAWABLE", "drawable" },
    { 0, NULL, NULL }
  };

  static const PikaEnumDesc descs[] =
  {
    { PIKA_RECTANGLE_CONSTRAIN_NONE, "PIKA_RECTANGLE_CONSTRAIN_NONE", NULL },
    { PIKA_RECTANGLE_CONSTRAIN_IMAGE, "PIKA_RECTANGLE_CONSTRAIN_IMAGE", NULL },
    { PIKA_RECTANGLE_CONSTRAIN_DRAWABLE, "PIKA_RECTANGLE_CONSTRAIN_DRAWABLE", NULL },
    { 0, NULL, NULL }
  };

  static GType type = 0;

  if (G_UNLIKELY (! type))
    {
      type = g_enum_register_static ("PikaRectangleConstraint", values);
      pika_type_set_translation_context (type, "rectangle-constraint");
      pika_enum_set_value_descriptions (type, descs);
    }

  return type;
}

GType
pika_rectangle_fixed_rule_get_type (void)
{
  static const GEnumValue values[] =
  {
    { PIKA_RECTANGLE_FIXED_ASPECT, "PIKA_RECTANGLE_FIXED_ASPECT", "aspect" },
    { PIKA_RECTANGLE_FIXED_WIDTH, "PIKA_RECTANGLE_FIXED_WIDTH", "width" },
    { PIKA_RECTANGLE_FIXED_HEIGHT, "PIKA_RECTANGLE_FIXED_HEIGHT", "height" },
    { PIKA_RECTANGLE_FIXED_SIZE, "PIKA_RECTANGLE_FIXED_SIZE", "size" },
    { 0, NULL, NULL }
  };

  static const PikaEnumDesc descs[] =
  {
    { PIKA_RECTANGLE_FIXED_ASPECT, NC_("rectangle-fixed-rule", "Aspect ratio"), NULL },
    { PIKA_RECTANGLE_FIXED_WIDTH, NC_("rectangle-fixed-rule", "Width"), NULL },
    { PIKA_RECTANGLE_FIXED_HEIGHT, NC_("rectangle-fixed-rule", "Height"), NULL },
    { PIKA_RECTANGLE_FIXED_SIZE, NC_("rectangle-fixed-rule", "Size"), NULL },
    { 0, NULL, NULL }
  };

  static GType type = 0;

  if (G_UNLIKELY (! type))
    {
      type = g_enum_register_static ("PikaRectangleFixedRule", values);
      pika_type_set_translation_context (type, "rectangle-fixed-rule");
      pika_enum_set_value_descriptions (type, descs);
    }

  return type;
}

GType
pika_rectangle_precision_get_type (void)
{
  static const GEnumValue values[] =
  {
    { PIKA_RECTANGLE_PRECISION_INT, "PIKA_RECTANGLE_PRECISION_INT", "int" },
    { PIKA_RECTANGLE_PRECISION_DOUBLE, "PIKA_RECTANGLE_PRECISION_DOUBLE", "double" },
    { 0, NULL, NULL }
  };

  static const PikaEnumDesc descs[] =
  {
    { PIKA_RECTANGLE_PRECISION_INT, "PIKA_RECTANGLE_PRECISION_INT", NULL },
    { PIKA_RECTANGLE_PRECISION_DOUBLE, "PIKA_RECTANGLE_PRECISION_DOUBLE", NULL },
    { 0, NULL, NULL }
  };

  static GType type = 0;

  if (G_UNLIKELY (! type))
    {
      type = g_enum_register_static ("PikaRectanglePrecision", values);
      pika_type_set_translation_context (type, "rectangle-precision");
      pika_enum_set_value_descriptions (type, descs);
    }

  return type;
}

GType
pika_transform_3d_mode_get_type (void)
{
  static const GEnumValue values[] =
  {
    { PIKA_TRANSFORM_3D_MODE_CAMERA, "PIKA_TRANSFORM_3D_MODE_CAMERA", "camera" },
    { PIKA_TRANSFORM_3D_MODE_MOVE, "PIKA_TRANSFORM_3D_MODE_MOVE", "move" },
    { PIKA_TRANSFORM_3D_MODE_ROTATE, "PIKA_TRANSFORM_3D_MODE_ROTATE", "rotate" },
    { 0, NULL, NULL }
  };

  static const PikaEnumDesc descs[] =
  {
    { PIKA_TRANSFORM_3D_MODE_CAMERA, "PIKA_TRANSFORM_3D_MODE_CAMERA", NULL },
    { PIKA_TRANSFORM_3D_MODE_MOVE, "PIKA_TRANSFORM_3D_MODE_MOVE", NULL },
    { PIKA_TRANSFORM_3D_MODE_ROTATE, "PIKA_TRANSFORM_3D_MODE_ROTATE", NULL },
    { 0, NULL, NULL }
  };

  static GType type = 0;

  if (G_UNLIKELY (! type))
    {
      type = g_enum_register_static ("PikaTransform3DMode", values);
      pika_type_set_translation_context (type, "transform3-dmode");
      pika_enum_set_value_descriptions (type, descs);
    }

  return type;
}

GType
pika_transform_function_get_type (void)
{
  static const GEnumValue values[] =
  {
    { PIKA_TRANSFORM_FUNCTION_NONE, "PIKA_TRANSFORM_FUNCTION_NONE", "none" },
    { PIKA_TRANSFORM_FUNCTION_MOVE, "PIKA_TRANSFORM_FUNCTION_MOVE", "move" },
    { PIKA_TRANSFORM_FUNCTION_SCALE, "PIKA_TRANSFORM_FUNCTION_SCALE", "scale" },
    { PIKA_TRANSFORM_FUNCTION_ROTATE, "PIKA_TRANSFORM_FUNCTION_ROTATE", "rotate" },
    { PIKA_TRANSFORM_FUNCTION_SHEAR, "PIKA_TRANSFORM_FUNCTION_SHEAR", "shear" },
    { PIKA_TRANSFORM_FUNCTION_PERSPECTIVE, "PIKA_TRANSFORM_FUNCTION_PERSPECTIVE", "perspective" },
    { 0, NULL, NULL }
  };

  static const PikaEnumDesc descs[] =
  {
    { PIKA_TRANSFORM_FUNCTION_NONE, "PIKA_TRANSFORM_FUNCTION_NONE", NULL },
    { PIKA_TRANSFORM_FUNCTION_MOVE, "PIKA_TRANSFORM_FUNCTION_MOVE", NULL },
    { PIKA_TRANSFORM_FUNCTION_SCALE, "PIKA_TRANSFORM_FUNCTION_SCALE", NULL },
    { PIKA_TRANSFORM_FUNCTION_ROTATE, "PIKA_TRANSFORM_FUNCTION_ROTATE", NULL },
    { PIKA_TRANSFORM_FUNCTION_SHEAR, "PIKA_TRANSFORM_FUNCTION_SHEAR", NULL },
    { PIKA_TRANSFORM_FUNCTION_PERSPECTIVE, "PIKA_TRANSFORM_FUNCTION_PERSPECTIVE", NULL },
    { 0, NULL, NULL }
  };

  static GType type = 0;

  if (G_UNLIKELY (! type))
    {
      type = g_enum_register_static ("PikaTransformFunction", values);
      pika_type_set_translation_context (type, "transform-function");
      pika_enum_set_value_descriptions (type, descs);
    }

  return type;
}

GType
pika_transform_handle_mode_get_type (void)
{
  static const GEnumValue values[] =
  {
    { PIKA_HANDLE_MODE_ADD_TRANSFORM, "PIKA_HANDLE_MODE_ADD_TRANSFORM", "add-transform" },
    { PIKA_HANDLE_MODE_MOVE, "PIKA_HANDLE_MODE_MOVE", "move" },
    { PIKA_HANDLE_MODE_REMOVE, "PIKA_HANDLE_MODE_REMOVE", "remove" },
    { 0, NULL, NULL }
  };

  static const PikaEnumDesc descs[] =
  {
    { PIKA_HANDLE_MODE_ADD_TRANSFORM, NC_("transform-handle-mode", "Add / Transform"), NULL },
    { PIKA_HANDLE_MODE_MOVE, NC_("transform-handle-mode", "Move"), NULL },
    { PIKA_HANDLE_MODE_REMOVE, NC_("transform-handle-mode", "Remove"), NULL },
    { 0, NULL, NULL }
  };

  static GType type = 0;

  if (G_UNLIKELY (! type))
    {
      type = g_enum_register_static ("PikaTransformHandleMode", values);
      pika_type_set_translation_context (type, "transform-handle-mode");
      pika_enum_set_value_descriptions (type, descs);
    }

  return type;
}

GType
pika_vector_mode_get_type (void)
{
  static const GEnumValue values[] =
  {
    { PIKA_VECTOR_MODE_DESIGN, "PIKA_VECTOR_MODE_DESIGN", "design" },
    { PIKA_VECTOR_MODE_EDIT, "PIKA_VECTOR_MODE_EDIT", "edit" },
    { PIKA_VECTOR_MODE_MOVE, "PIKA_VECTOR_MODE_MOVE", "move" },
    { 0, NULL, NULL }
  };

  static const PikaEnumDesc descs[] =
  {
    { PIKA_VECTOR_MODE_DESIGN, NC_("vector-mode", "Design"), NULL },
    { PIKA_VECTOR_MODE_EDIT, NC_("vector-mode", "Edit"), NULL },
    { PIKA_VECTOR_MODE_MOVE, NC_("vector-mode", "Move"), NULL },
    { 0, NULL, NULL }
  };

  static GType type = 0;

  if (G_UNLIKELY (! type))
    {
      type = g_enum_register_static ("PikaVectorMode", values);
      pika_type_set_translation_context (type, "vector-mode");
      pika_enum_set_value_descriptions (type, descs);
    }

  return type;
}

GType
pika_zoom_focus_get_type (void)
{
  static const GEnumValue values[] =
  {
    { PIKA_ZOOM_FOCUS_BEST_GUESS, "PIKA_ZOOM_FOCUS_BEST_GUESS", "best-guess" },
    { PIKA_ZOOM_FOCUS_POINTER, "PIKA_ZOOM_FOCUS_POINTER", "pointer" },
    { PIKA_ZOOM_FOCUS_IMAGE_CENTER, "PIKA_ZOOM_FOCUS_IMAGE_CENTER", "image-center" },
    { PIKA_ZOOM_FOCUS_RETAIN_CENTERING_ELSE_BEST_GUESS, "PIKA_ZOOM_FOCUS_RETAIN_CENTERING_ELSE_BEST_GUESS", "retain-centering-else-best-guess" },
    { 0, NULL, NULL }
  };

  static const PikaEnumDesc descs[] =
  {
    { PIKA_ZOOM_FOCUS_BEST_GUESS, "PIKA_ZOOM_FOCUS_BEST_GUESS", NULL },
    { PIKA_ZOOM_FOCUS_POINTER, "PIKA_ZOOM_FOCUS_POINTER", NULL },
    { PIKA_ZOOM_FOCUS_IMAGE_CENTER, "PIKA_ZOOM_FOCUS_IMAGE_CENTER", NULL },
    { PIKA_ZOOM_FOCUS_RETAIN_CENTERING_ELSE_BEST_GUESS, "PIKA_ZOOM_FOCUS_RETAIN_CENTERING_ELSE_BEST_GUESS", NULL },
    { 0, NULL, NULL }
  };

  static GType type = 0;

  if (G_UNLIKELY (! type))
    {
      type = g_enum_register_static ("PikaZoomFocus", values);
      pika_type_set_translation_context (type, "zoom-focus");
      pika_enum_set_value_descriptions (type, descs);
    }

  return type;
}

GType
pika_modifier_action_get_type (void)
{
  static const GEnumValue values[] =
  {
    { PIKA_MODIFIER_ACTION_NONE, "PIKA_MODIFIER_ACTION_NONE", "none" },
    { PIKA_MODIFIER_ACTION_PANNING, "PIKA_MODIFIER_ACTION_PANNING", "panning" },
    { PIKA_MODIFIER_ACTION_ZOOMING, "PIKA_MODIFIER_ACTION_ZOOMING", "zooming" },
    { PIKA_MODIFIER_ACTION_ROTATING, "PIKA_MODIFIER_ACTION_ROTATING", "rotating" },
    { PIKA_MODIFIER_ACTION_STEP_ROTATING, "PIKA_MODIFIER_ACTION_STEP_ROTATING", "step-rotating" },
    { PIKA_MODIFIER_ACTION_LAYER_PICKING, "PIKA_MODIFIER_ACTION_LAYER_PICKING", "layer-picking" },
    { PIKA_MODIFIER_ACTION_MENU, "PIKA_MODIFIER_ACTION_MENU", "menu" },
    { PIKA_MODIFIER_ACTION_ACTION, "PIKA_MODIFIER_ACTION_ACTION", "action" },
    { PIKA_MODIFIER_ACTION_BRUSH_PIXEL_SIZE, "PIKA_MODIFIER_ACTION_BRUSH_PIXEL_SIZE", "brush-pixel-size" },
    { PIKA_MODIFIER_ACTION_BRUSH_RADIUS_PIXEL_SIZE, "PIKA_MODIFIER_ACTION_BRUSH_RADIUS_PIXEL_SIZE", "brush-radius-pixel-size" },
    { PIKA_MODIFIER_ACTION_TOOL_OPACITY, "PIKA_MODIFIER_ACTION_TOOL_OPACITY", "tool-opacity" },
    { 0, NULL, NULL }
  };

  static const PikaEnumDesc descs[] =
  {
    { PIKA_MODIFIER_ACTION_NONE, NC_("modifier-action", "No action"), NULL },
    { PIKA_MODIFIER_ACTION_PANNING, NC_("modifier-action", "Pan"), NULL },
    { PIKA_MODIFIER_ACTION_ZOOMING, NC_("modifier-action", "Zoom"), NULL },
    { PIKA_MODIFIER_ACTION_ROTATING, NC_("modifier-action", "Rotate View"), NULL },
    { PIKA_MODIFIER_ACTION_STEP_ROTATING, NC_("modifier-action", "Rotate View by 15 degree steps"), NULL },
    { PIKA_MODIFIER_ACTION_LAYER_PICKING, NC_("modifier-action", "Pick a layer"), NULL },
    { PIKA_MODIFIER_ACTION_MENU, NC_("modifier-action", "Display the menu"), NULL },
    { PIKA_MODIFIER_ACTION_ACTION, NC_("modifier-action", "Custom action"), NULL },
    { PIKA_MODIFIER_ACTION_BRUSH_PIXEL_SIZE, NC_("modifier-action", "Change brush size in canvas pixels"), NULL },
    { PIKA_MODIFIER_ACTION_BRUSH_RADIUS_PIXEL_SIZE, NC_("modifier-action", "Change brush radius' size in canvas pixels"), NULL },
    { PIKA_MODIFIER_ACTION_TOOL_OPACITY, NC_("modifier-action", "Change tool opacity"), NULL },
    { 0, NULL, NULL }
  };

  static GType type = 0;

  if (G_UNLIKELY (! type))
    {
      type = g_enum_register_static ("PikaModifierAction", values);
      pika_type_set_translation_context (type, "modifier-action");
      pika_enum_set_value_descriptions (type, descs);
    }

  return type;
}


/* Generated data ends here */

