/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikapluginshm.h
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_PLUG_IN_SHM_H__
#define __PIKA_PLUG_IN_SHM_H__


PikaPlugInShm * pika_plug_in_shm_new      (void);
void            pika_plug_in_shm_free     (PikaPlugInShm *shm);

gint            pika_plug_in_shm_get_id   (PikaPlugInShm *shm);
guchar        * pika_plug_in_shm_get_addr (PikaPlugInShm *shm);


#endif /* __PIKA_PLUG_IN_SHM_H__ */
