
/* Generated data (by pika-mkenums) */

#include "stamp-plug-in-enums.h"
#include "config.h"
#include <gio/gio.h>
#include "libpikabase/pikabase.h"
#include "plug-in-enums.h"
#include "pika-intl.h"

/* enumerations from "plug-in-enums.h" */
GType
pika_plug_in_image_type_get_type (void)
{
  static const GFlagsValue values[] =
  {
    { PIKA_PLUG_IN_RGB_IMAGE, "PIKA_PLUG_IN_RGB_IMAGE", "rgb-image" },
    { PIKA_PLUG_IN_GRAY_IMAGE, "PIKA_PLUG_IN_GRAY_IMAGE", "gray-image" },
    { PIKA_PLUG_IN_INDEXED_IMAGE, "PIKA_PLUG_IN_INDEXED_IMAGE", "indexed-image" },
    { PIKA_PLUG_IN_RGBA_IMAGE, "PIKA_PLUG_IN_RGBA_IMAGE", "rgba-image" },
    { PIKA_PLUG_IN_GRAYA_IMAGE, "PIKA_PLUG_IN_GRAYA_IMAGE", "graya-image" },
    { PIKA_PLUG_IN_INDEXEDA_IMAGE, "PIKA_PLUG_IN_INDEXEDA_IMAGE", "indexeda-image" },
    { 0, NULL, NULL }
  };

  static const PikaFlagsDesc descs[] =
  {
    { PIKA_PLUG_IN_RGB_IMAGE, "PIKA_PLUG_IN_RGB_IMAGE", NULL },
    { PIKA_PLUG_IN_GRAY_IMAGE, "PIKA_PLUG_IN_GRAY_IMAGE", NULL },
    { PIKA_PLUG_IN_INDEXED_IMAGE, "PIKA_PLUG_IN_INDEXED_IMAGE", NULL },
    { PIKA_PLUG_IN_RGBA_IMAGE, "PIKA_PLUG_IN_RGBA_IMAGE", NULL },
    { PIKA_PLUG_IN_GRAYA_IMAGE, "PIKA_PLUG_IN_GRAYA_IMAGE", NULL },
    { PIKA_PLUG_IN_INDEXEDA_IMAGE, "PIKA_PLUG_IN_INDEXEDA_IMAGE", NULL },
    { 0, NULL, NULL }
  };

  static GType type = 0;

  if (G_UNLIKELY (! type))
    {
      type = g_flags_register_static ("PikaPlugInImageType", values);
      pika_type_set_translation_context (type, "plug-in-image-type");
      pika_flags_set_value_descriptions (type, descs);
    }

  return type;
}

GType
pika_plug_in_call_mode_get_type (void)
{
  static const GEnumValue values[] =
  {
    { PIKA_PLUG_IN_CALL_NONE, "PIKA_PLUG_IN_CALL_NONE", "none" },
    { PIKA_PLUG_IN_CALL_RUN, "PIKA_PLUG_IN_CALL_RUN", "run" },
    { PIKA_PLUG_IN_CALL_QUERY, "PIKA_PLUG_IN_CALL_QUERY", "query" },
    { PIKA_PLUG_IN_CALL_INIT, "PIKA_PLUG_IN_CALL_INIT", "init" },
    { 0, NULL, NULL }
  };

  static const PikaEnumDesc descs[] =
  {
    { PIKA_PLUG_IN_CALL_NONE, "PIKA_PLUG_IN_CALL_NONE", NULL },
    { PIKA_PLUG_IN_CALL_RUN, "PIKA_PLUG_IN_CALL_RUN", NULL },
    { PIKA_PLUG_IN_CALL_QUERY, "PIKA_PLUG_IN_CALL_QUERY", NULL },
    { PIKA_PLUG_IN_CALL_INIT, "PIKA_PLUG_IN_CALL_INIT", NULL },
    { 0, NULL, NULL }
  };

  static GType type = 0;

  if (G_UNLIKELY (! type))
    {
      type = g_enum_register_static ("PikaPlugInCallMode", values);
      pika_type_set_translation_context (type, "plug-in-call-mode");
      pika_enum_set_value_descriptions (type, descs);
    }

  return type;
}

GType
pika_file_procedure_group_get_type (void)
{
  static const GEnumValue values[] =
  {
    { PIKA_FILE_PROCEDURE_GROUP_NONE, "PIKA_FILE_PROCEDURE_GROUP_NONE", "none" },
    { PIKA_FILE_PROCEDURE_GROUP_ANY, "PIKA_FILE_PROCEDURE_GROUP_ANY", "any" },
    { PIKA_FILE_PROCEDURE_GROUP_OPEN, "PIKA_FILE_PROCEDURE_GROUP_OPEN", "open" },
    { PIKA_FILE_PROCEDURE_GROUP_SAVE, "PIKA_FILE_PROCEDURE_GROUP_SAVE", "save" },
    { PIKA_FILE_PROCEDURE_GROUP_EXPORT, "PIKA_FILE_PROCEDURE_GROUP_EXPORT", "export" },
    { 0, NULL, NULL }
  };

  static const PikaEnumDesc descs[] =
  {
    { PIKA_FILE_PROCEDURE_GROUP_NONE, "PIKA_FILE_PROCEDURE_GROUP_NONE", NULL },
    { PIKA_FILE_PROCEDURE_GROUP_ANY, "PIKA_FILE_PROCEDURE_GROUP_ANY", NULL },
    { PIKA_FILE_PROCEDURE_GROUP_OPEN, "PIKA_FILE_PROCEDURE_GROUP_OPEN", NULL },
    { PIKA_FILE_PROCEDURE_GROUP_SAVE, "PIKA_FILE_PROCEDURE_GROUP_SAVE", NULL },
    { PIKA_FILE_PROCEDURE_GROUP_EXPORT, "PIKA_FILE_PROCEDURE_GROUP_EXPORT", NULL },
    { 0, NULL, NULL }
  };

  static GType type = 0;

  if (G_UNLIKELY (! type))
    {
      type = g_enum_register_static ("PikaFileProcedureGroup", values);
      pika_type_set_translation_context (type, "file-procedure-group");
      pika_enum_set_value_descriptions (type, descs);
    }

  return type;
}


/* Generated data ends here */

