/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PLUG_IN_TYPES_H__
#define __PLUG_IN_TYPES_H__


#include "core/core-types.h"

#include "plug-in/plug-in-enums.h"


#define PIKA_PLUG_IN_TILE_WIDTH  128
#define PIKA_PLUG_IN_TILE_HEIGHT 128


typedef struct _PikaPlugIn           PikaPlugIn;
typedef struct _PikaPlugInDebug      PikaPlugInDebug;
typedef struct _PikaPlugInDef        PikaPlugInDef;
typedef struct _PikaPlugInManager    PikaPlugInManager;
typedef struct _PikaPlugInMenuBranch PikaPlugInMenuBranch;
typedef struct _PikaPlugInProcFrame  PikaPlugInProcFrame;
typedef struct _PikaPlugInShm        PikaPlugInShm;


#endif /* __PLUG_IN_TYPES_H__ */
