/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * PikaText
 * Copyright (C) 2003  Sven Neumann <sven@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TEXT_PARASITE_H__
#define __PIKA_TEXT_PARASITE_H__


const gchar  * pika_text_parasite_name          (void) G_GNUC_CONST;
PikaParasite * pika_text_to_parasite            (PikaText      *text);
PikaText     * pika_text_from_parasite          (const PikaParasite  *parasite,
                                                 Pika                *pika,
                                                 gboolean            *before_xcf_v19,
                                                 GError             **error);

const gchar  * pika_text_gdyntext_parasite_name (void) G_GNUC_CONST;
PikaText     * pika_text_from_gdyntext_parasite (const PikaParasite  *parasite);


#endif /* __PIKA_TEXT_PARASITE_H__ */
