/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikahelp-ids.h
 * Copyright (C) 2003 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_HELP_IDS_H__
#define __PIKA_HELP_IDS_H__


#define PIKA_HELP_MAIN                            "pika-main"

#define PIKA_HELP_FILE_NEW                        "pika-file-new"
#define PIKA_HELP_FILE_OPEN                       "pika-file-open"
#define PIKA_HELP_FILE_OPEN_AS_LAYER              "pika-file-open-as-layer"
#define PIKA_HELP_FILE_OPEN_LOCATION              "pika-file-open-location"
#define PIKA_HELP_FILE_OPEN_BY_EXTENSION          "pika-file-open-by-extension"
#define PIKA_HELP_FILE_OPEN_RECENT                "pika-file-open-recent"
#define PIKA_HELP_FILE_SAVE                       "pika-file-save"
#define PIKA_HELP_FILE_SAVE_AS                    "pika-file-save-as"
#define PIKA_HELP_FILE_SAVE_A_COPY                "pika-file-save-a-copy"
#define PIKA_HELP_FILE_SAVE_BY_EXTENSION          "pika-file-save-by-extension"
#define PIKA_HELP_FILE_EXPORT                     "pika-file-export"
#define PIKA_HELP_FILE_EXPORT_AS                  "pika-file-export-as"
#define PIKA_HELP_FILE_OVERWRITE                  "pika-file-overwrite"
#define PIKA_HELP_FILE_REVERT                     "pika-file-revert"
#define PIKA_HELP_FILE_CLOSE                      "pika-file-close"
#define PIKA_HELP_FILE_CLOSE_ALL                  "pika-file-close-all"
#define PIKA_HELP_FILE_COPY_LOCATION              "pika-file-copy-location"
#define PIKA_HELP_FILE_SHOW_IN_FILE_MANAGER       "pika-file-show-in-file-manager"
#define PIKA_HELP_FILE_CREATE_TEMPLATE            "pika-file-create-template"
#define PIKA_HELP_FILE_QUIT                       "pika-file-quit"

#define PIKA_HELP_EDIT_UNDO                       "pika-edit-undo"
#define PIKA_HELP_EDIT_REDO                       "pika-edit-redo"
#define PIKA_HELP_EDIT_STRONG_UNDO                "pika-edit-strong-undo"
#define PIKA_HELP_EDIT_STRONG_REDO                "pika-edit-strong-redo"
#define PIKA_HELP_EDIT_UNDO_CLEAR                 "pika-edit-undo-clear"
#define PIKA_HELP_EDIT_CUT                        "pika-edit-cut"
#define PIKA_HELP_EDIT_COPY                       "pika-edit-copy"
#define PIKA_HELP_EDIT_COPY_VISIBLE               "pika-edit-copy-visible"
#define PIKA_HELP_EDIT_PASTE                      "pika-edit-paste"
#define PIKA_HELP_EDIT_PASTE_IN_PLACE             "pika-edit-paste-in-place"
#define PIKA_HELP_EDIT_PASTE_INTO                 "pika-edit-paste-into"
#define PIKA_HELP_EDIT_PASTE_INTO_IN_PLACE        "pika-edit-paste-into-in-place"
#define PIKA_HELP_EDIT_PASTE_AS_NEW_LAYER         "pika-edit-paste-as-new-layer"
#define PIKA_HELP_EDIT_PASTE_AS_NEW_LAYER_IN_PLACE "pika-edit-paste-as-new-layer-in-place"
#define PIKA_HELP_EDIT_PASTE_AS_NEW_IMAGE         "pika-edit-paste-as-new-image"
#define PIKA_HELP_EDIT_CLEAR                      "pika-edit-clear"
#define PIKA_HELP_EDIT_FILL_FG                    "pika-edit-fill-fg"
#define PIKA_HELP_EDIT_FILL_BG                    "pika-edit-fill-bg"
#define PIKA_HELP_EDIT_FILL_PATTERN               "pika-edit-fill-pattern"

#define PIKA_HELP_SELECTION_DIALOG                "pika-selection-dialog"
#define PIKA_HELP_SELECTION_ALL                   "pika-selection-all"
#define PIKA_HELP_SELECTION_NONE                  "pika-selection-none"
#define PIKA_HELP_SELECTION_INVERT                "pika-selection-invert"
#define PIKA_HELP_SELECTION_FLOAT                 "pika-selection-float"
#define PIKA_HELP_SELECTION_FEATHER               "pika-selection-feather"
#define PIKA_HELP_SELECTION_SHARPEN               "pika-selection-sharpen"
#define PIKA_HELP_SELECTION_SHRINK                "pika-selection-shrink"
#define PIKA_HELP_SELECTION_GROW                  "pika-selection-grow"
#define PIKA_HELP_SELECTION_BORDER                "pika-selection-border"
#define PIKA_HELP_SELECTION_FLOOD                 "pika-selection-flood"
#define PIKA_HELP_SELECTION_FILL                  "pika-selection-fill"
#define PIKA_HELP_SELECTION_STROKE                "pika-selection-stroke"
#define PIKA_HELP_SELECTION_TO_CHANNEL            "pika-selection-to-channel"
#define PIKA_HELP_SELECTION_TO_PATH               "pika-selection-to-path"

#define PIKA_HELP_VIEW_NEW                        "pika-view-new"
#define PIKA_HELP_VIEW_SHOW_ALL                   "pika-view-show-all"
#define PIKA_HELP_VIEW_DOT_FOR_DOT                "pika-view-dot-for-dot"
#define PIKA_HELP_VIEW_RESET                      "pika-view-reset"
#define PIKA_HELP_VIEW_SCROLL_CENTER              "pika-view-scroll-center"
#define PIKA_HELP_VIEW_ZOOM_REVERT                "pika-view-zoom-revert"
#define PIKA_HELP_VIEW_ZOOM_OUT                   "pika-view-zoom-out"
#define PIKA_HELP_VIEW_ZOOM_IN                    "pika-view-zoom-in"
#define PIKA_HELP_VIEW_ZOOM_100                   "pika-view-zoom-100"
#define PIKA_HELP_VIEW_ZOOM_FIT_IN                "pika-view-zoom-fit-in"
#define PIKA_HELP_VIEW_ZOOM_FILL                  "pika-view-zoom-fill"
#define PIKA_HELP_VIEW_ZOOM_SELECTION             "pika-view-zoom-selection"
#define PIKA_HELP_VIEW_ZOOM_OTHER                 "pika-view-zoom-other"
#define PIKA_HELP_VIEW_FLIP                       "pika-view-flip"
#define PIKA_HELP_VIEW_FLIP_RESET                 "pika-view-flip-reset"
#define PIKA_HELP_VIEW_ROTATE_RESET               "pika-view-rotate-reset"
#define PIKA_HELP_VIEW_ROTATE_15                  "pika-view-rotate-15"
#define PIKA_HELP_VIEW_ROTATE_90                  "pika-view-rotate-90"
#define PIKA_HELP_VIEW_ROTATE_180                 "pika-view-rotate-180"
#define PIKA_HELP_VIEW_ROTATE_270                 "pika-view-rotate-270"
#define PIKA_HELP_VIEW_ROTATE_345                 "pika-view-rotate-345"
#define PIKA_HELP_VIEW_ROTATE_OTHER               "pika-view-rotate-other"
#define PIKA_HELP_VIEW_COLOR_MANAGEMENT           "pika-view-color-management"
#define PIKA_HELP_VIEW_SHOW_SELECTION             "pika-view-show-selection"
#define PIKA_HELP_VIEW_SHOW_LAYER_BOUNDARY        "pika-view-show-layer-boundary"
#define PIKA_HELP_VIEW_SHOW_CANVAS_BOUNDARY       "pika-view-show-canvas-boundary"
#define PIKA_HELP_VIEW_SHOW_GUIDES                "pika-view-show-guides"
#define PIKA_HELP_VIEW_SHOW_GRID                  "pika-view-show-grid"
#define PIKA_HELP_VIEW_SHOW_SAMPLE_POINTS         "pika-view-show-sample-points"
#define PIKA_HELP_VIEW_SNAP_TO_GUIDES             "pika-view-snap-to-guides"
#define PIKA_HELP_VIEW_SNAP_TO_GRID               "pika-view-snap-to-grid"
#define PIKA_HELP_VIEW_SNAP_TO_CANVAS             "pika-view-snap-to-canvas"
#define PIKA_HELP_VIEW_SNAP_TO_VECTORS            "pika-view-snap-to-vectors"
#define PIKA_HELP_VIEW_SNAP_TO_BBOX               "pika-view-snap-to-bbox"
#define PIKA_HELP_VIEW_SNAP_TO_EQUIDISTANCE       "pika-view-snap-to-equidistance"
#define PIKA_HELP_VIEW_SHOW_MENUBAR               "pika-view-show-menubar"
#define PIKA_HELP_VIEW_SHOW_RULERS                "pika-view-show-rulers"
#define PIKA_HELP_VIEW_SHOW_SCROLLBARS            "pika-view-show-scrollbars"
#define PIKA_HELP_VIEW_SHOW_STATUSBAR             "pika-view-show-statusbar"
#define PIKA_HELP_VIEW_PADDING_COLOR              "pika-view-padding-color"
#define PIKA_HELP_VIEW_SHRINK_WRAP                "pika-view-shrink-wrap"
#define PIKA_HELP_VIEW_FULLSCREEN                 "pika-view-fullscreen"
#define PIKA_HELP_VIEW_CHANGE_SCREEN              "pika-view-change-screen"

#define PIKA_HELP_IMAGE_WINDOW                    "pika-image-window"
#define PIKA_HELP_IMAGE_WINDOW_ORIGIN             "pika-image-window-origin"
#define PIKA_HELP_IMAGE_WINDOW_ZOOM_FOLLOW_BUTTON "pika-image-window-zoom-follow-button"
#define PIKA_HELP_IMAGE_WINDOW_QUICK_MASK_BUTTON  "pika-image-window-quick-mask-button"
#define PIKA_HELP_IMAGE_WINDOW_NAV_BUTTON         "pika-image-window-nav-button"
#define PIKA_HELP_IMAGE_WINDOW_RULER              "pika-image-window-ruler"
#define PIKA_HELP_IMAGE_WINDOW_STATUS_BAR         "pika-image-window-status-bar"


#define PIKA_HELP_IMAGE_DIALOG                    "pika-image-dialog"
#define PIKA_HELP_IMAGE_DUPLICATE                 "pika-image-duplicate"
#define PIKA_HELP_IMAGE_CONVERT_RGB               "pika-image-convert-rgb"
#define PIKA_HELP_IMAGE_CONVERT_GRAYSCALE         "pika-image-convert-grayscale"
#define PIKA_HELP_IMAGE_CONVERT_INDEXED           "pika-image-convert-indexed"
#define PIKA_HELP_IMAGE_CONVERT_U8                "pika-image-convert-u8"
#define PIKA_HELP_IMAGE_CONVERT_U16               "pika-image-convert-u16"
#define PIKA_HELP_IMAGE_CONVERT_U32               "pika-image-convert-u32"
#define PIKA_HELP_IMAGE_CONVERT_HALF              "pika-image-convert-half"
#define PIKA_HELP_IMAGE_CONVERT_FLOAT             "pika-image-convert-float"
#define PIKA_HELP_IMAGE_CONVERT_DOUBLE            "pika-image-convert-double"
#define PIKA_HELP_IMAGE_CONVERT_GAMMA             "pika-image-convert-gamma"
#define PIKA_HELP_IMAGE_CONVERT_PRECISION         "pika-image-convert-precision"
#define PIKA_HELP_IMAGE_FLIP_HORIZONTAL           "pika-image-flip-horizontal"
#define PIKA_HELP_IMAGE_FLIP_VERTICAL             "pika-image-flip-vertical"
#define PIKA_HELP_IMAGE_ROTATE_90                 "pika-image-rotate-90"
#define PIKA_HELP_IMAGE_ROTATE_180                "pika-image-rotate-180"
#define PIKA_HELP_IMAGE_ROTATE_270                "pika-image-rotate-270"
#define PIKA_HELP_IMAGE_RESIZE                    "pika-image-resize"
#define PIKA_HELP_IMAGE_RESIZE_TO_LAYERS          "pika-image-resize-to-layers"
#define PIKA_HELP_IMAGE_RESIZE_TO_SELECTION       "pika-image-resize-to-selection"
#define PIKA_HELP_IMAGE_PRINT_SIZE                "pika-image-print-size"
#define PIKA_HELP_IMAGE_SCALE                     "pika-image-scale"
#define PIKA_HELP_IMAGE_SCALE_WARNING             "pika-image-scale-warning"
#define PIKA_HELP_IMAGE_CROP                      "pika-image-crop"
#define PIKA_HELP_IMAGE_MERGE_LAYERS              "pika-image-merge-layers"
#define PIKA_HELP_IMAGE_FLATTEN                   "pika-image-flatten"
#define PIKA_HELP_IMAGE_COLOR_PROFILE_ASSIGN      "pika-image-color-profile-assign"
#define PIKA_HELP_IMAGE_COLOR_PROFILE_CONVERT     "pika-image-color-profile-convert"
#define PIKA_HELP_IMAGE_COLOR_PROFILE_DISCARD     "pika-image-color-profile-discard"
#define PIKA_HELP_IMAGE_COLOR_PROFILE_USE_SRGB    "pika-image-color-profile-use-srgb"
#define PIKA_HELP_IMAGE_COLOR_PROFILE_SAVE        "pika-image-color-profile-save"
#define PIKA_HELP_IMAGE_COLOR_PROFILE_IMPORT      "pika-image-color-profile-import"
#define PIKA_HELP_IMAGE_METADATA_ROTATION_IMPORT  "pika-image-metadata-rotation-import"
#define PIKA_HELP_IMAGE_GRID                      "pika-image-grid"
#define PIKA_HELP_IMAGE_PROPERTIES                "pika-image-properties"

#define PIKA_HELP_LAYER_DIALOG                    "pika-layer-dialog"
#define PIKA_HELP_LAYER_DIALOG_PAINT_MODE_MENU    "pika-layer-dialog-paint-mode-menu"
#define PIKA_HELP_LAYER_DIALOG_OPACITY_SCALE      "pika-layer-dialog-opacity-scale"

#define PIKA_HELP_LAYER_NEW                       "pika-layer-new"
#define PIKA_HELP_LAYER_NEW_FROM_VISIBLE          "pika-layer-new-from-visible"
#define PIKA_HELP_LAYER_DUPLICATE                 "pika-layer-duplicate"
#define PIKA_HELP_LAYER_ANCHOR                    "pika-layer-anchor"
#define PIKA_HELP_LAYER_MERGE_DOWN                "pika-layer-merge-down"
#define PIKA_HELP_LAYER_MERGE_GROUP               "pika-layer-merge-group"
#define PIKA_HELP_LAYER_DELETE                    "pika-layer-delete"
#define PIKA_HELP_LAYER_TEXT_DISCARD              "pika-layer-text-discard"
#define PIKA_HELP_LAYER_TEXT_TO_PATH              "pika-layer-text-to-path"
#define PIKA_HELP_LAYER_TEXT_ALONG_PATH           "pika-layer-text-along-path"
#define PIKA_HELP_LAYER_PREVIOUS                  "pika-layer-previous"
#define PIKA_HELP_LAYER_NEXT                      "pika-layer-next"
#define PIKA_HELP_LAYER_TOP                       "pika-layer-top"
#define PIKA_HELP_LAYER_BOTTOM                    "pika-layer-bottom"
#define PIKA_HELP_LAYER_RAISE                     "pika-layer-raise"
#define PIKA_HELP_LAYER_RAISE_TO_TOP              "pika-layer-raise-to-top"
#define PIKA_HELP_LAYER_LOWER                     "pika-layer-lower"
#define PIKA_HELP_LAYER_LOWER_TO_BOTTOM           "pika-layer-lower-to-bottom"
#define PIKA_HELP_LAYER_WHITE_BALANCE             "pika-layer-white-balance"
#define PIKA_HELP_LAYER_EQUALIZE                  "pika-layer-equalize"
#define PIKA_HELP_LAYER_VISIBLE                   "pika-layer-visible"
#define PIKA_HELP_LAYER_LINKED                    "pika-layer-linked"
#define PIKA_HELP_LAYER_COLOR_TAG                 "pika-layer-color-tag"
#define PIKA_HELP_LAYER_OPACITY                   "pika-layer-opacity"
#define PIKA_HELP_LAYER_MODE                      "pika-layer-mode"
#define PIKA_HELP_LAYER_LOCK_ALPHA                "pika-layer-lock-alpha"
#define PIKA_HELP_LAYER_LOCK_PIXELS               "pika-layer-lock-pixels"
#define PIKA_HELP_LAYER_LOCK_POSITION             "pika-layer-lock-position"
#define PIKA_HELP_LAYER_LOCK_VISIBILITY           "pika-layer-lock-visibility"
#define PIKA_HELP_LAYER_MASK_ADD                  "pika-layer-mask-add"
#define PIKA_HELP_LAYER_MASK_APPLY                "pika-layer-mask-apply"
#define PIKA_HELP_LAYER_MASK_DELETE               "pika-layer-mask-delete"
#define PIKA_HELP_LAYER_MASK_EDIT                 "pika-layer-mask-edit"
#define PIKA_HELP_LAYER_MASK_SHOW                 "pika-layer-mask-show"
#define PIKA_HELP_LAYER_MASK_DISABLE              "pika-layer-mask-disable"
#define PIKA_HELP_LAYER_MASK_SELECTION_REPLACE    "pika-layer-mask-selection-replace"
#define PIKA_HELP_LAYER_MASK_SELECTION_ADD        "pika-layer-mask-selection-add"
#define PIKA_HELP_LAYER_MASK_SELECTION_SUBTRACT   "pika-layer-mask-selection-subtract"
#define PIKA_HELP_LAYER_MASK_SELECTION_INTERSECT  "pika-layer-mask-selection-intersect"
#define PIKA_HELP_LAYER_ALPHA_ADD                 "pika-layer-alpha-add"
#define PIKA_HELP_LAYER_ALPHA_REMOVE              "pika-layer-alpha-remove"
#define PIKA_HELP_LAYER_ALPHA_SELECTION_REPLACE   "pika-layer-alpha-selection-replace"
#define PIKA_HELP_LAYER_ALPHA_SELECTION_ADD       "pika-layer-alpha-selection-add"
#define PIKA_HELP_LAYER_ALPHA_SELECTION_SUBTRACT  "pika-layer-alpha-selection-subtract"
#define PIKA_HELP_LAYER_ALPHA_SELECTION_INTERSECT "pika-layer-alpha-selection-intersect"
#define PIKA_HELP_LAYER_FLIP_HORIZONTAL           "pika-layer-flip-horizontal"
#define PIKA_HELP_LAYER_FLIP_VERTICAL             "pika-layer-flip-vertical"
#define PIKA_HELP_LAYER_ROTATE_90                 "pika-layer-rotate-90"
#define PIKA_HELP_LAYER_ROTATE_180                "pika-layer-rotate-180"
#define PIKA_HELP_LAYER_ROTATE_270                "pika-layer-rotate-270"
#define PIKA_HELP_LAYER_RESIZE                    "pika-layer-resize"
#define PIKA_HELP_LAYER_RESIZE_TO_IMAGE           "pika-layer-resize-to-image"
#define PIKA_HELP_LAYER_SCALE                     "pika-layer-scale"
#define PIKA_HELP_LAYER_RESIZE_TO_SELECTION       "pika-layer-resize-to-selection"
#define PIKA_HELP_LAYER_CROP_TO_CONTENT           "pika-layer-crop-to-content"
#define PIKA_HELP_LAYER_EDIT                      "pika-layer-edit"

#define PIKA_HELP_CHANNEL_DIALOG                  "pika-channel-dialog"
#define PIKA_HELP_CHANNEL_NEW                     "pika-channel-new"
#define PIKA_HELP_CHANNEL_RAISE                   "pika-channel-raise"
#define PIKA_HELP_CHANNEL_RAISE_TO_TOP            "pika-channel-raise-to-top"
#define PIKA_HELP_CHANNEL_LOWER                   "pika-channel-lower"
#define PIKA_HELP_CHANNEL_LOWER_TO_BOTTOM         "pika-channel-lower-to-bottom"
#define PIKA_HELP_CHANNEL_DUPLICATE               "pika-channel-duplicate"
#define PIKA_HELP_CHANNEL_DELETE                  "pika-channel-delete"
#define PIKA_HELP_CHANNEL_PREVIOUS                "pika-channel-previous"
#define PIKA_HELP_CHANNEL_NEXT                    "pika-channel-next"
#define PIKA_HELP_CHANNEL_TOP                     "pika-channel-top"
#define PIKA_HELP_CHANNEL_BOTTOM                  "pika-channel-bottom"
#define PIKA_HELP_CHANNEL_VISIBLE                 "pika-channel-visible"
#define PIKA_HELP_CHANNEL_LINKED                  "pika-channel-linked"
#define PIKA_HELP_CHANNEL_COLOR_TAG               "pika-channel-color-tag"
#define PIKA_HELP_CHANNEL_LOCK_PIXELS             "pika-channel-lock-pixels"
#define PIKA_HELP_CHANNEL_LOCK_POSITION           "pika-channel-lock-position"
#define PIKA_HELP_CHANNEL_LOCK_VISIBILITY         "pika-channel-lock-visibility"
#define PIKA_HELP_CHANNEL_SELECTION_REPLACE       "pika-channel-selection-replace"
#define PIKA_HELP_CHANNEL_SELECTION_ADD           "pika-channel-selection-add"
#define PIKA_HELP_CHANNEL_SELECTION_SUBTRACT      "pika-channel-selection-subtract"
#define PIKA_HELP_CHANNEL_SELECTION_INTERSECT     "pika-channel-selection-intersect"
#define PIKA_HELP_CHANNEL_EDIT                    "pika-channel-edit"

#define PIKA_HELP_QUICK_MASK                      "pika-quick-mask"
#define PIKA_HELP_QUICK_MASK_TOGGLE               "pika-quick-mask-toggle"
#define PIKA_HELP_QUICK_MASK_INVERT               "pika-quick-mask-invert"
#define PIKA_HELP_QUICK_MASK_EDIT                 "pika-quick-mask-edit"

#define PIKA_HELP_PATH_DIALOG                     "pika-path-dialog"
#define PIKA_HELP_PATH_NEW                        "pika-path-new"
#define PIKA_HELP_PATH_PREVIOUS                   "pika-path-previous"
#define PIKA_HELP_PATH_NEXT                       "pika-path-next"
#define PIKA_HELP_PATH_TOP                        "pika-path-top"
#define PIKA_HELP_PATH_BOTTOM                     "pika-path-bottom"
#define PIKA_HELP_PATH_RAISE                      "pika-path-raise"
#define PIKA_HELP_PATH_RAISE_TO_TOP               "pika-path-raise-to-top"
#define PIKA_HELP_PATH_LOWER                      "pika-path-lower"
#define PIKA_HELP_PATH_LOWER_TO_BOTTOM            "pika-path-lower-to-bottom"
#define PIKA_HELP_PATH_DUPLICATE                  "pika-path-duplicate"
#define PIKA_HELP_PATH_DELETE                     "pika-path-delete"
#define PIKA_HELP_PATH_MERGE_VISIBLE              "pika-path-merge-visible"
#define PIKA_HELP_PATH_VISIBLE                    "pika-path-visible"
#define PIKA_HELP_PATH_LINKED                     "pika-path-linked"
#define PIKA_HELP_PATH_COLOR_TAG                  "pika-path-color-tag"
#define PIKA_HELP_PATH_LOCK_STROKES               "pika-path-lock-strokes"
#define PIKA_HELP_PATH_LOCK_POSITION              "pika-path-lock-position"
#define PIKA_HELP_PATH_SELECTION_REPLACE          "pika-path-selection-replace"
#define PIKA_HELP_PATH_SELECTION_ADD              "pika-path-selection-add"
#define PIKA_HELP_PATH_SELECTION_SUBTRACT         "pika-path-selection-subtract"
#define PIKA_HELP_PATH_SELECTION_INTERSECT        "pika-path-selection-intersect"
#define PIKA_HELP_PATH_FILL                       "pika-path-fill"
#define PIKA_HELP_PATH_STROKE                     "pika-path-stroke"
#define PIKA_HELP_PATH_COPY                       "pika-path-copy"
#define PIKA_HELP_PATH_PASTE                      "pika-path-paste"
#define PIKA_HELP_PATH_IMPORT                     "pika-path-import"
#define PIKA_HELP_PATH_EXPORT                     "pika-path-export"
#define PIKA_HELP_PATH_EDIT                       "pika-path-edit"

#define PIKA_HELP_TOOL_AIRBRUSH                   "pika-tool-airbrush"
#define PIKA_HELP_TOOL_ALIGN                      "pika-tool-align"
#define PIKA_HELP_TOOL_BRIGHTNESS_CONTRAST        "pika-tool-brightness-contrast"
#define PIKA_HELP_TOOL_BUCKET_FILL                "pika-tool-bucket-fill"
#define PIKA_HELP_TOOL_BY_COLOR_SELECT            "pika-tool-by-color-select"
#define PIKA_HELP_TOOL_CAGE                       "pika-tool-cage"
#define PIKA_HELP_TOOL_CLONE                      "pika-tool-clone"
#define PIKA_HELP_TOOL_COLORIZE                   "pika-tool-colorize"
#define PIKA_HELP_TOOL_COLOR_BALANCE              "pika-tool-color-balance"
#define PIKA_HELP_TOOL_COLOR_PICKER               "pika-tool-color-picker"
#define PIKA_HELP_TOOL_CONVOLVE                   "pika-tool-convolve"
#define PIKA_HELP_TOOL_CROP                       "pika-tool-crop"
#define PIKA_HELP_TOOL_CURVES                     "pika-tool-curves"
#define PIKA_HELP_TOOL_DODGE_BURN                 "pika-tool-dodge-burn"
#define PIKA_HELP_TOOL_ELLIPSE_SELECT             "pika-tool-ellipse-select"
#define PIKA_HELP_TOOL_ERASER                     "pika-tool-eraser"
#define PIKA_HELP_TOOL_FLIP                       "pika-tool-flip"
#define PIKA_HELP_TOOL_FREE_SELECT                "pika-tool-free-select"
#define PIKA_HELP_TOOL_FOREGROUND_SELECT          "pika-tool-foreground-select"
#define PIKA_HELP_TOOL_FUZZY_SELECT               "pika-tool-fuzzy-select"
#define PIKA_HELP_TOOL_GEGL                       "pika-tool-gegl"
#define PIKA_HELP_TOOL_GRADIENT                   "pika-tool-gradient"
#define PIKA_HELP_TOOL_HANDLE_TRANSFORM           "pika-tool-handle-transform"
#define PIKA_HELP_TOOL_HEAL                       "pika-tool-heal"
#define PIKA_HELP_TOOL_HUE_SATURATION             "pika-tool-hue-saturation"
#define PIKA_HELP_TOOL_INK                        "pika-tool-ink"
#define PIKA_HELP_TOOL_ISCISSORS                  "pika-tool-iscissors"
#define PIKA_HELP_TOOL_LEVELS                     "pika-tool-levels"
#define PIKA_HELP_TOOL_MEASURE                    "pika-tool-measure"
#define PIKA_HELP_TOOL_MOVE                       "pika-tool-move"
#define PIKA_HELP_TOOL_MYPAINT_BRUSH              "pika-tool-mypaint-brush"
#define PIKA_HELP_TOOL_N_POINT_DEFORMATION        "pika-tool-n-point-deformation"
#define PIKA_HELP_TOOL_OFFSET                     "pika-tool-offset"
#define PIKA_HELP_TOOL_PATH                       "pika-tool-path"
#define PIKA_HELP_TOOL_PAINTBRUSH                 "pika-tool-paintbrush"
#define PIKA_HELP_TOOL_PENCIL                     "pika-tool-pencil"
#define PIKA_HELP_TOOL_PERSPECTIVE                "pika-tool-perspective"
#define PIKA_HELP_TOOL_PERSPECTIVE_CLONE          "pika-tool-perspective-clone"
#define PIKA_HELP_TOOL_RECT_SELECT                "pika-tool-rect-select"
#define PIKA_HELP_TOOL_ROTATE                     "pika-tool-rotate"
#define PIKA_HELP_TOOL_SCALE                      "pika-tool-scale"
#define PIKA_HELP_TOOL_SEAMLESS_CLONE             "pika-tool-seamless-clone"
#define PIKA_HELP_TOOL_SHEAR                      "pika-tool-shear"
#define PIKA_HELP_TOOL_SMUDGE                     "pika-tool-smudge"
#define PIKA_HELP_TOOL_TEXT                       "pika-tool-text"
#define PIKA_HELP_TOOL_THRESHOLD                  "pika-tool-threshold"
#define PIKA_HELP_TOOL_TRANSFORM_3D               "pika-tool-transform-3d"
#define PIKA_HELP_TOOL_UNIFIED_TRANSFORM          "pika-tool-unified-transform"
#define PIKA_HELP_TOOL_VECTORS                    "pika-tool-vectors"
#define PIKA_HELP_TOOL_WARP                       "pika-tool-warp"
#define PIKA_HELP_TOOL_ZOOM                       "pika-tool-zoom"

#define PIKA_HELP_FILTER_REPEAT                   "pika-filter-repeat"
#define PIKA_HELP_FILTER_RESHOW                   "pika-filter-reshow"
#define PIKA_HELP_FILTER_RESET_ALL                "pika-filter-reset-all"

#define PIKA_HELP_FILTER_ALIEN_MAP                "pika-filter-alien-map"
#define PIKA_HELP_FILTER_ANTIALIAS                "pika-filter-antialias"
#define PIKA_HELP_FILTER_APPLY_CANVAS             "pika-filter-apply-canvas"
#define PIKA_HELP_FILTER_APPLY_LENS               "pika-filter-apply-lens"
#define PIKA_HELP_FILTER_BAYER_MATRIX             "pika-filter-bayer-matrix"
#define PIKA_HELP_FILTER_BLOOM                    "pika-filter-bloom"
#define PIKA_HELP_FILTER_BUMP_MAP                 "pika-filter-bump-map"
#define PIKA_HELP_FILTER_C2G                      "pika-filter-c2g"
#define PIKA_HELP_FILTER_CARTOON                  "pika-filter-cartoon"
#define PIKA_HELP_FILTER_CHANNEL_MIXER            "pika-filter-channel-mixer"
#define PIKA_HELP_FILTER_CHECKERBOARD             "pika-filter-checkerboard"
#define PIKA_HELP_FILTER_COLOR_ENHANCE            "pika-filter-color-enhance"
#define PIKA_HELP_FILTER_COLOR_EXCHANGE           "pika-filter-color-exchange"
#define PIKA_HELP_FILTER_COLOR_ROTATE             "pika-filter-color-rotate"
#define PIKA_HELP_FILTER_COLOR_TEMPERATURE        "pika-filter-color-temperature"
#define PIKA_HELP_FILTER_COLOR_TO_ALPHA           "pika-filter-color-to-alpha"
#define PIKA_HELP_FILTER_COMPONENT_EXTRACT        "pika-filter-component-extract"
#define PIKA_HELP_FILTER_CONVOLUTION_MATRIX       "pika-filter-convolution-matrix"
#define PIKA_HELP_FILTER_CUBISM                   "pika-filter-cubism"
#define PIKA_HELP_FILTER_DEINTERLACE              "pika-filter-deinterlace"
#define PIKA_HELP_FILTER_DESATURATE               "pika-filter-desaturate"
#define PIKA_HELP_FILTER_DIFFERENCE_OF_GAUSSIANS  "pika-filter-difference-of-gaussians"
#define PIKA_HELP_FILTER_DIFFRACTION_PATTERNS     "pika-filter-diffraction-patterns"
#define PIKA_HELP_FILTER_DILATE                   "pika-filter-dilate"
#define PIKA_HELP_FILTER_DISPLACE                 "pika-filter-displace"
#define PIKA_HELP_FILTER_DISTANCE_MAP             "pika-filter-distance-map"
#define PIKA_HELP_FILTER_DITHER                   "pika-filter-dither"
#define PIKA_HELP_FILTER_DROPSHADOW               "pika-filter-drop-shadow"
#define PIKA_HELP_FILTER_EDGE                     "pika-filter-edge"
#define PIKA_HELP_FILTER_EDGE_LAPLACE             "pika-filter-edge-laplace"
#define PIKA_HELP_FILTER_EDGE_NEON                "pika-filter-edge-neon"
#define PIKA_HELP_FILTER_EDGE_SOBEL               "pika-filter-edge-sobel"
#define PIKA_HELP_FILTER_EMBOSS                   "pika-filter-emboss"
#define PIKA_HELP_FILTER_ENGRAVE                  "pika-filter-engrave"
#define PIKA_HELP_FILTER_ERODE                    "pika-filter-erode"
#define PIKA_HELP_FILTER_EXPOSURE                 "pika-filter-exposure"
#define PIKA_HELP_FILTER_FATTAL_2002              "pika-filter-fattal-2002"
#define PIKA_HELP_FILTER_FOCUS_BLUR               "pika-filter-focus-blur"
#define PIKA_HELP_FILTER_FRACTAL_TRACE            "pika-filter-fractal-trace"
#define PIKA_HELP_FILTER_GAUSSIAN_BLUR            "pika-filter-gaussian-blur"
#define PIKA_HELP_FILTER_GAUSSIAN_BLUR_SELECTIVE  "pika-filter-gaussian-blur-selective"
#define PIKA_HELP_FILTER_GEGL_GRAPH               "pika-filter-gegl"
#define PIKA_HELP_FILTER_GRID                     "pika-filter-grid"
#define PIKA_HELP_FILTER_HIGH_PASS                "pika-filter-high-pass"
#define PIKA_HELP_FILTER_HUE_CHROMA               "pika-filter-hue-chroma"
#define PIKA_HELP_FILTER_ILLUSION                 "pika-filter-illusion"
#define PIKA_HELP_FILTER_INVERT_LINEAR            "pika-filter-invert-linear"
#define PIKA_HELP_FILTER_INVERT_PERCEPTUAL        "pika-filter-invert-perceptual"
#define PIKA_HELP_FILTER_INVERT_VALUE             "pika-filter-invert-value"
#define PIKA_HELP_FILTER_IMAGE_GRADIENT           "pika-filter-image-gradient"
#define PIKA_HELP_FILTER_KALEIDOSCOPE             "pika-filter-kaleidoscope"
#define PIKA_HELP_FILTER_LENS_BLUR                "pika-filter-lens-blur"
#define PIKA_HELP_FILTER_LENS_DISTORTION          "pika-filter-lens-distortion"
#define PIKA_HELP_FILTER_LENS_FLARE               "pika-filter-lens-flare"
#define PIKA_HELP_FILTER_LINEAR_SINUSOID          "pika-filter-linear-sinusoid"
#define PIKA_HELP_FILTER_LITTLE_PLANET            "pika-filter-little-planet"
#define PIKA_HELP_FILTER_LONG_SHADOW              "pika-filter-long-shadow"
#define PIKA_HELP_FILTER_MANTIUK_2006             "pika-filter-mantiuk-2006"
#define PIKA_HELP_FILTER_MAZE                     "pika-filter-maze"
#define PIKA_HELP_FILTER_MEAN_CURVATURE_BLUR      "pika-filter-mean-curvature-blur"
#define PIKA_HELP_FILTER_MEDIAN_BLUR              "pika-filter-median-blur"
#define PIKA_HELP_FILTER_MONO_MIXER               "pika-filter-mono-mixer"
#define PIKA_HELP_FILTER_MOSAIC                   "pika-filter-mosaic"
#define PIKA_HELP_FILTER_MOTION_BLUR_CIRCULAR     "pika-filter-motion-blur-circular"
#define PIKA_HELP_FILTER_MOTION_BLUR_LINEAR       "pika-filter-motion-blur-linear"
#define PIKA_HELP_FILTER_MOTION_BLUR_ZOOM         "pika-filter-motion-blur-zoom"
#define PIKA_HELP_FILTER_NEWSPRINT                "pika-filter-newsprint"
#define PIKA_HELP_FILTER_NOISE_CELL               "pika-filter-noise-cell"
#define PIKA_HELP_FILTER_NOISE_CIE_LCH            "pika-filter-noise-cie-lch"
#define PIKA_HELP_FILTER_NOISE_HSV                "pika-filter-noise-hsv"
#define PIKA_HELP_FILTER_NOISE_HURL               "pika-filter-noise-hurl"
#define PIKA_HELP_FILTER_NOISE_PERLIN             "pika-filter-noise-perlin"
#define PIKA_HELP_FILTER_NOISE_PICK               "pika-filter-noise-pick"
#define PIKA_HELP_FILTER_NOISE_RGB                "pika-filter-noise-rgb"
#define PIKA_HELP_FILTER_NOISE_REDUCTION          "pika-filter-noise-reduction"
#define PIKA_HELP_FILTER_NOISE_SIMPLEX            "pika-filter-noise-simplex"
#define PIKA_HELP_FILTER_NOISE_SLUR               "pika-filter-noise-slur"
#define PIKA_HELP_FILTER_NOISE_SOLID              "pika-filter-noise-solid"
#define PIKA_HELP_FILTER_NOISE_SPREAD             "pika-filter-noise-spread"
#define PIKA_HELP_FILTER_NORMAL_MAP               "pika-filter-normal-map"
#define PIKA_HELP_FILTER_OILIFY                   "pika-filter-oilify"
#define PIKA_HELP_FILTER_PANORAMA_PROJECTION      "pika-filter-panorama-projection"
#define PIKA_HELP_FILTER_PHOTOCOPY                "pika-filter-photocopy"
#define PIKA_HELP_FILTER_PIXELIZE                 "pika-filter-pixelize"
#define PIKA_HELP_FILTER_PLASMA                   "pika-filter-plasma"
#define PIKA_HELP_FILTER_POLAR_COORDINATES        "pika-filter-polar-coordinates"
#define PIKA_HELP_FILTER_POSTERIZE                "pika-filter-posterize"
#define PIKA_HELP_FILTER_RECURSIVE_TRANSFORM      "pika-filter-recursive-transform"
#define PIKA_HELP_FILTER_RED_EYE_REMOVAL          "pika-filter-red-eye-removal"
#define PIKA_HELP_FILTER_REINHARD_2005            "pika-filter-reinhard-2005"
#define PIKA_HELP_FILTER_RGB_CLIP                 "pika-filter-rgb-clip"
#define PIKA_HELP_FILTER_RIPPLE                   "pika-filter-ripple"
#define PIKA_HELP_FILTER_SATURATION               "pika-filter-saturation"
#define PIKA_HELP_FILTER_SEMI_FLATTEN             "pika-filter-semi-flatten"
#define PIKA_HELP_FILTER_SEPIA                    "pika-filter-sepia"
#define PIKA_HELP_FILTER_SHADOWS_HIGHLIGHTS       "pika-filter-shadows-highlights"
#define PIKA_HELP_FILTER_SHIFT                    "pika-filter-shift"
#define PIKA_HELP_FILTER_SINUS                    "pika-filter-sinus"
#define PIKA_HELP_FILTER_SLIC                     "pika-filter-slic"
#define PIKA_HELP_FILTER_SNN_MEAN                 "pika-filter-snn-mean"
#define PIKA_HELP_FILTER_SOFTGLOW                 "pika-filter-softglow"
#define PIKA_HELP_FILTER_SPHERIZE                 "pika-filter-spherize"
#define PIKA_HELP_FILTER_SPIRAL                   "pika-filter-spiral"
#define PIKA_HELP_FILTER_STRETCH_CONTRAST         "pika-filter-stretch-contrast"
#define PIKA_HELP_FILTER_STRETCH_CONTRAST_HSV     "pika-filter-stretch-contrast-hsv"
#define PIKA_HELP_FILTER_STRESS                   "pika-filter-stress"
#define PIKA_HELP_FILTER_SUPERNOVA                "pika-filter-supernova"
#define PIKA_HELP_FILTER_THRESHOLD_ALPHA          "pika-filter-threshold-alpha"
#define PIKA_HELP_FILTER_TILE_GLASS               "pika-filter-tile-glass"
#define PIKA_HELP_FILTER_TILE_PAPER               "pika-filter-tile-paper"
#define PIKA_HELP_FILTER_TILE_SEAMLESS            "pika-filter-tile-seamless"
#define PIKA_HELP_FILTER_UNSHARP_MASK             "pika-filter-unsharp-mask"
#define PIKA_HELP_FILTER_VALUE_PROPAGATE          "pika-filter-value-propagate"
#define PIKA_HELP_FILTER_VARIABLE_BLUR            "pika-filter-variable-blur"
#define PIKA_HELP_FILTER_VIDEO_DEGRADATION        "pika-filter-video-degradation"
#define PIKA_HELP_FILTER_VIGNETTE                 "pika-filter-vignette"
#define PIKA_HELP_FILTER_WATERPIXELS              "pika-filter-waterpixels"
#define PIKA_HELP_FILTER_WAVES                    "pika-filter-waves"
#define PIKA_HELP_FILTER_WHIRL_PINCH              "pika-filter-whirl-pinch"
#define PIKA_HELP_FILTER_WIND                     "pika-filter-wind"

#define PIKA_HELP_TOOLBOX                         "pika-toolbox"
#define PIKA_HELP_TOOLBOX_COLOR_AREA              "pika-toolbox-color-area"
#define PIKA_HELP_TOOLBOX_IMAGE_AREA              "pika-toolbox-image-area"
#define PIKA_HELP_TOOLBOX_INDICATOR_AREA          "pika-toolbox-indicator-area"
#define PIKA_HELP_TOOLBOX_DEFAULT_COLORS          "pika-toolbox-default-colors"
#define PIKA_HELP_TOOLBOX_SWAP_COLORS             "pika-toolbox-swap-colors"

#define PIKA_HELP_BRUSH_DIALOG                    "pika-brush-dialog"
#define PIKA_HELP_BRUSH_EDIT                      "pika-brush-edit"
#define PIKA_HELP_BRUSH_OPEN_AS_IMAGE             "pika-brush-open-as-image"
#define PIKA_HELP_BRUSH_NEW                       "pika-brush-new"
#define PIKA_HELP_BRUSH_DUPLICATE                 "pika-brush-duplicate"
#define PIKA_HELP_BRUSH_COPY_LOCATION             "pika-brush-copy-location"
#define PIKA_HELP_BRUSH_SHOW_IN_FILE_MANAGER      "pika-brush-show-in-file-manager"
#define PIKA_HELP_BRUSH_DELETE                    "pika-brush-delete"
#define PIKA_HELP_BRUSH_REFRESH                   "pika-brush-refresh"

#define PIKA_HELP_BRUSH_EDITOR_DIALOG             "pika-brush-editor-dialog"
#define PIKA_HELP_BRUSH_EDITOR_EDIT_ACTIVE        "pika-brush-editor-edit-active"

#define PIKA_HELP_DYNAMICS_EDITOR_DIALOG          "pika-dynamics-editor-dialog"

#define PIKA_HELP_TOOL_PRESET_EDITOR_DIALOG       "pika-tool-preset-editor-dialog"
#define PIKA_HELP_TOOL_PRESET_EDITOR_EDIT_ACTIVE  "pika-tool-preset-editor-edit-active"

#define PIKA_HELP_DYNAMICS_DIALOG                 "pika-dynamics-dialog"
#define PIKA_HELP_DYNAMICS_EDIT                   "pika-dynamics-edit"
#define PIKA_HELP_DYNAMICS_NEW                    "pika-dynamics-new"
#define PIKA_HELP_DYNAMICS_DUPLICATE              "pika-dynamics-duplicate"
#define PIKA_HELP_DYNAMICS_COPY_LOCATION          "pika-dynamics-copy-location"
#define PIKA_HELP_DYNAMICS_SHOW_IN_FILE_MANAGER   "pika-dynamics-show-in-file-manager"
#define PIKA_HELP_DYNAMICS_DELETE                 "pika-dynamics-delete"
#define PIKA_HELP_DYNAMICS_REFRESH                "pika-dynamics-refresh"

#define PIKA_HELP_MYPAINT_BRUSH_DIALOG            "pika-mypaint-brush-dialog"
#define PIKA_HELP_MYPAINT_BRUSH_EDIT              "pika-mypaint-brush-edit"
#define PIKA_HELP_MYPAINT_BRUSH_NEW               "pika-mypaint-brush-new"
#define PIKA_HELP_MYPAINT_BRUSH_DUPLICATE         "pika-mypaint-brush-duplicate"
#define PIKA_HELP_MYPAINT_BRUSH_COPY_LOCATION     "pika-mypaint-brush-copy-location"
#define PIKA_HELP_MYPAINT_BRUSH_SHOW_IN_FILE_MANAGER "pika-mypaint-brush-show-in-file-manager"
#define PIKA_HELP_MYPAINT_BRUSH_DELETE            "pika-mypaint-brush-delete"
#define PIKA_HELP_MYPAINT_BRUSH_REFRESH           "pika-mypaint-brush-refresh"

#define PIKA_HELP_PATTERN_DIALOG                  "pika-pattern-dialog"
#define PIKA_HELP_PATTERN_EDIT                    "pika-pattern-edit"
#define PIKA_HELP_PATTERN_OPEN_AS_IMAGE           "pika-pattern-open-as-image"
#define PIKA_HELP_PATTERN_NEW                     "pika-pattern-new"
#define PIKA_HELP_PATTERN_DUPLICATE               "pika-pattern-duplicate"
#define PIKA_HELP_PATTERN_COPY_LOCATION           "pika-pattern-copy-location"
#define PIKA_HELP_PATTERN_SHOW_IN_FILE_MANAGER    "pika-pattern-show-in-file-manager"
#define PIKA_HELP_PATTERN_DELETE                  "pika-pattern-delete"
#define PIKA_HELP_PATTERN_REFRESH                 "pika-pattern-refresh"

#define PIKA_HELP_GRADIENT_DIALOG                 "pika-gradient-dialog"
#define PIKA_HELP_GRADIENT_EDIT                   "pika-gradient-edit"
#define PIKA_HELP_GRADIENT_NEW                    "pika-gradient-new"
#define PIKA_HELP_GRADIENT_DUPLICATE              "pika-gradient-duplicate"
#define PIKA_HELP_GRADIENT_COPY_LOCATION          "pika-gradient-copy-location"
#define PIKA_HELP_GRADIENT_SHOW_IN_FILE_MANAGER   "pika-gradient-show-in-file-manager"
#define PIKA_HELP_GRADIENT_DELETE                 "pika-gradient-delete"
#define PIKA_HELP_GRADIENT_REFRESH                "pika-gradient-refresh"
#define PIKA_HELP_GRADIENT_SAVE_AS_POV            "pika-gradient-save-as-pov"

#define PIKA_HELP_GRADIENT_EDITOR_DIALOG          "pika-gradient-editor-dialog"
#define PIKA_HELP_GRADIENT_EDITOR_LEFT_COLOR      "pika-gradient-editor-left-color"
#define PIKA_HELP_GRADIENT_EDITOR_LEFT_LOAD       "pika-gradient-editor-left-load"
#define PIKA_HELP_GRADIENT_EDITOR_LEFT_SAVE       "pika-gradient-editor-left-save"
#define PIKA_HELP_GRADIENT_EDITOR_RIGHT_COLOR     "pika-gradient-editor-right-color"
#define PIKA_HELP_GRADIENT_EDITOR_RIGHT_LOAD      "pika-gradient-editor-right-load"
#define PIKA_HELP_GRADIENT_EDITOR_RIGHT_SAVE      "pika-gradient-editor-right-save"
#define PIKA_HELP_GRADIENT_EDITOR_BLENDING        "pika-gradient-editor-blending"
#define PIKA_HELP_GRADIENT_EDITOR_COLORING        "pika-gradient-editor-coloring"
#define PIKA_HELP_GRADIENT_EDITOR_FLIP            "pika-gradient-editor-flip"
#define PIKA_HELP_GRADIENT_EDITOR_REPLICATE       "pika-gradient-editor-replicate"
#define PIKA_HELP_GRADIENT_EDITOR_SPLIT_MIDPOINT  "pika-gradient-editor-split-midpoint"
#define PIKA_HELP_GRADIENT_EDITOR_SPLIT_UNIFORM   "pika-gradient-editor-split-uniform"
#define PIKA_HELP_GRADIENT_EDITOR_DELETE          "pika-gradient-editor-delete"
#define PIKA_HELP_GRADIENT_EDITOR_RECENTER        "pika-gradient-editor-recenter"
#define PIKA_HELP_GRADIENT_EDITOR_REDISTRIBUTE    "pika-gradient-editor-redistribute"
#define PIKA_HELP_GRADIENT_EDITOR_BLEND_COLOR     "pika-gradient-editor-blend-color"
#define PIKA_HELP_GRADIENT_EDITOR_BLEND_OPACITY   "pika-gradient-editor-blend-opacity"
#define PIKA_HELP_GRADIENT_EDITOR_ZOOM_OUT        "pika-gradient-editor-zoom-out"
#define PIKA_HELP_GRADIENT_EDITOR_ZOOM_IN         "pika-gradient-editor-zoom-in"
#define PIKA_HELP_GRADIENT_EDITOR_ZOOM_ALL        "pika-gradient-editor-zoom-all"
#define PIKA_HELP_GRADIENT_EDITOR_EDIT_ACTIVE     "pika-gradient-editor-edit-active"

#define PIKA_HELP_PALETTE_DIALOG                  "pika-palette-dialog"
#define PIKA_HELP_PALETTE_EDIT                    "pika-palette-edit"
#define PIKA_HELP_PALETTE_NEW                     "pika-palette-new"
#define PIKA_HELP_PALETTE_DUPLICATE               "pika-palette-duplicate"
#define PIKA_HELP_PALETTE_COPY_LOCATION           "pika-palette-copy-location"
#define PIKA_HELP_PALETTE_SHOW_IN_FILE_MANAGER    "pika-palette-show-in-file-manager"
#define PIKA_HELP_PALETTE_DELETE                  "pika-palette-delete"
#define PIKA_HELP_PALETTE_REFRESH                 "pika-palette-refresh"
#define PIKA_HELP_PALETTE_IMPORT                  "pika-palette-import"
#define PIKA_HELP_PALETTE_MERGE                   "pika-palette-merge"

#define PIKA_HELP_PALETTE_EDITOR_DIALOG           "pika-palette-editor-dialog"
#define PIKA_HELP_PALETTE_EDITOR_NEW              "pika-palette-editor-new"
#define PIKA_HELP_PALETTE_EDITOR_EDIT             "pika-palette-editor-edit"
#define PIKA_HELP_PALETTE_EDITOR_DELETE           "pika-palette-editor-delete"
#define PIKA_HELP_PALETTE_EDITOR_ZOOM_OUT         "pika-palette-editor-zoom-out"
#define PIKA_HELP_PALETTE_EDITOR_ZOOM_IN          "pika-palette-editor-zoom-in"
#define PIKA_HELP_PALETTE_EDITOR_ZOOM_ALL         "pika-palette-editor-zoom-all"
#define PIKA_HELP_PALETTE_EDITOR_EDIT_ACTIVE      "pika-palette-editor-edit-active"

#define PIKA_HELP_FONT_DIALOG                     "pika-font-dialog"
#define PIKA_HELP_FONT_REFRESH                    "pika-font-refresh"

#define PIKA_HELP_BUFFER_DIALOG                   "pika-buffer-dialog"
#define PIKA_HELP_BUFFER_CUT                      "pika-buffer-cut"
#define PIKA_HELP_BUFFER_COPY                     "pika-buffer-copy"
#define PIKA_HELP_BUFFER_PASTE                    "pika-buffer-paste"
#define PIKA_HELP_BUFFER_PASTE_IN_PLACE           "pika-buffer-paste-in-place"
#define PIKA_HELP_BUFFER_PASTE_INTO               "pika-buffer-paste-into"
#define PIKA_HELP_BUFFER_PASTE_INTO_IN_PLACE      "pika-buffer-paste-into-in-place"
#define PIKA_HELP_BUFFER_PASTE_AS_NEW_LAYER       "pika-buffer-paste-as-new-layer"
#define PIKA_HELP_BUFFER_PASTE_AS_NEW_LAYER_IN_PLACE "pika-buffer-paste-as-new-layer-in-place"
#define PIKA_HELP_BUFFER_PASTE_AS_NEW_IMAGE       "pika-buffer-paste-as-new-image"
#define PIKA_HELP_BUFFER_DELETE                   "pika-buffer-delete"

#define PIKA_HELP_TOOL_PRESET_DIALOG              "pika-tool-preset-dialog"
#define PIKA_HELP_TOOL_PRESET_EDIT                "pika-tool-preset-edit"
#define PIKA_HELP_TOOL_PRESET_NEW                 "pika-tool-preset-new"
#define PIKA_HELP_TOOL_PRESET_DUPLICATE           "pika-tool-preset-duplicate"
#define PIKA_HELP_TOOL_PRESET_COPY_LOCATION       "pika-tool-preset-copy-location"
#define PIKA_HELP_TOOL_PRESET_SHOW_IN_FILE_MANAGER "pika-tool-preset-show-in-file-manager"
#define PIKA_HELP_TOOL_PRESET_SAVE                "pika-tool-preset-save"
#define PIKA_HELP_TOOL_PRESET_RESTORE             "pika-tool-preset-restore"
#define PIKA_HELP_TOOL_PRESET_DELETE              "pika-tool-preset-delete"
#define PIKA_HELP_TOOL_PRESET_REFRESH             "pika-tool-preset-refresh"

#define PIKA_HELP_DOCUMENT_CLEAR                  "pika-document-clear"
#define PIKA_HELP_DOCUMENT_COPY_LOCATION          "pika-document-copy-location"
#define PIKA_HELP_DOCUMENT_SHOW_IN_FILE_MANAGER   "pika-document-show-in-file-manager"
#define PIKA_HELP_DOCUMENT_DIALOG                 "pika-document-dialog"
#define PIKA_HELP_DOCUMENT_OPEN                   "pika-document-open"
#define PIKA_HELP_DOCUMENT_REMOVE                 "pika-document-remove"
#define PIKA_HELP_DOCUMENT_REFRESH                "pika-document-refresh"

#define PIKA_HELP_TEMPLATE_DIALOG                 "pika-template-dialog"
#define PIKA_HELP_TEMPLATE_NEW                    "pika-template-new"
#define PIKA_HELP_TEMPLATE_DUPLICATE              "pika-template-duplicate"
#define PIKA_HELP_TEMPLATE_EDIT                   "pika-template-edit"
#define PIKA_HELP_TEMPLATE_IMAGE_NEW              "pika-template-image-new"
#define PIKA_HELP_TEMPLATE_DELETE                 "pika-template-delete"

#define PIKA_HELP_TOOL_OPTIONS_DIALOG             "pika-tool-options-dialog"
#define PIKA_HELP_TOOL_OPTIONS_SAVE               "pika-tool-options-save"
#define PIKA_HELP_TOOL_OPTIONS_RESTORE            "pika-tool-options-restore"
#define PIKA_HELP_TOOL_OPTIONS_EDIT               "pika-tool-options-edit"
#define PIKA_HELP_TOOL_OPTIONS_DELETE             "pika-tool-options-delete"
#define PIKA_HELP_TOOL_OPTIONS_RESET              "pika-tool-options-reset"

#define PIKA_HELP_ERRORS_DIALOG                   "pika-errors-dialog"
#define PIKA_HELP_ERRORS_HIGHLIGHT                "pika-errors-highlight"
#define PIKA_HELP_ERRORS_CLEAR                    "pika-errors-clear"
#define PIKA_HELP_ERRORS_SAVE                     "pika-errors-save"
#define PIKA_HELP_ERRORS_SELECT_ALL               "pika-errors-select-all"

#define PIKA_HELP_PREFS_DIALOG                    "pika-prefs-dialog"
#define PIKA_HELP_PREFS_SYSTEM_RESOURCES          "pika-prefs-system-resources"
#define PIKA_HELP_PREFS_DEBUGGING                 "pika-prefs-debugging"
#define PIKA_HELP_PREFS_COLOR_MANAGEMENT          "pika-prefs-color-management"
#define PIKA_HELP_PREFS_IMPORT_EXPORT             "pika-prefs-import-export"
#define PIKA_HELP_PREFS_PLAYGROUND                "pika-prefs-playground"
#define PIKA_HELP_PREFS_TOOL_OPTIONS              "pika-prefs-tool-options"
#define PIKA_HELP_PREFS_NEW_IMAGE                 "pika-prefs-new-image"
#define PIKA_HELP_PREFS_DEFAULT_GRID              "pika-prefs-default-grid"
#define PIKA_HELP_PREFS_INTERFACE                 "pika-prefs-interface"
#define PIKA_HELP_PREFS_THEME                     "pika-prefs-theme"
#define PIKA_HELP_PREFS_ICON_THEME                "pika-prefs-icon-theme"
#define PIKA_HELP_PREFS_TOOLBOX                   "pika-prefs-toolbox"
#define PIKA_HELP_PREFS_DIALOG_DEFAULTS           "pika-prefs-dialog-defaults"
#define PIKA_HELP_PREFS_HELP                      "pika-prefs-help"
#define PIKA_HELP_PREFS_DISPLAY                   "pika-prefs-display"
#define PIKA_HELP_PREFS_WINDOW_MANAGEMENT         "pika-prefs-window-management"
#define PIKA_HELP_PREFS_CANVAS_INTERACTION        "pika-prefs-canvas-interaction"
#define PIKA_HELP_PREFS_CANVAS_MODIFIERS          "pika-prefs-canvas-modifiers"
#define PIKA_HELP_PREFS_IMAGE_WINDOW              "pika-prefs-image-window"
#define PIKA_HELP_PREFS_IMAGE_WINDOW_APPEARANCE   "pika-prefs-image-window-appearance"
#define PIKA_HELP_PREFS_IMAGE_WINDOW_TITLE        "pika-prefs-image-window-title"
#define PIKA_HELP_PREFS_IMAGE_WINDOW_SNAPPING     "pika-prefs-image-window-snapping"
#define PIKA_HELP_PREFS_INPUT_DEVICES             "pika-prefs-input-devices"
#define PIKA_HELP_PREFS_INPUT_CONTROLLERS         "pika-prefs-input-controllers"
#define PIKA_HELP_PREFS_FOLDERS                   "pika-prefs-folders"
#define PIKA_HELP_PREFS_FOLDERS_BRUSHES           "pika-prefs-folders-brushes"
#define PIKA_HELP_PREFS_FOLDERS_DYNAMICS          "pika-prefs-folders-dynamics"
#define PIKA_HELP_PREFS_FOLDERS_PATTERNS          "pika-prefs-folders-patterns"
#define PIKA_HELP_PREFS_FOLDERS_PALETTES          "pika-prefs-folders-palettes"
#define PIKA_HELP_PREFS_FOLDERS_GRADIENTS         "pika-prefs-folders-gradients"
#define PIKA_HELP_PREFS_FOLDERS_FONTS             "pika-prefs-folders-fonts"
#define PIKA_HELP_PREFS_FOLDERS_TOOL_PRESETS      "pika-prefs-folders-tool-presets"
#define PIKA_HELP_PREFS_FOLDERS_MYPAINT_BRUSHES   "pika-prefs-folders-mypaint-brushes"
#define PIKA_HELP_PREFS_FOLDERS_PLUG_INS          "pika-prefs-folders-plug-ins"
#define PIKA_HELP_PREFS_FOLDERS_SCRIPTS           "pika-prefs-folders-scripts"
#define PIKA_HELP_PREFS_FOLDERS_MODULES           "pika-prefs-folders-modules"
#define PIKA_HELP_PREFS_FOLDERS_INTERPRETERS      "pika-prefs-folders-interpreters"
#define PIKA_HELP_PREFS_FOLDERS_ENVIRONMENT       "pika-prefs-folders-environment"
#define PIKA_HELP_PREFS_FOLDERS_THEMES            "pika-prefs-folders-themes"
#define PIKA_HELP_PREFS_FOLDERS_ICON_THEMES       "pika-prefs-folders-icon-themes"

#define PIKA_HELP_INPUT_DEVICES                   "pika-help-input-devices"
#define PIKA_HELP_KEYBOARD_SHORTCUTS              "pika-help-keyboard-shortcuts"

#define PIKA_HELP_INDEXED_PALETTE_DIALOG          "pika-indexed-palette-dialog"
#define PIKA_HELP_INDEXED_PALETTE_EDIT            "pika-indexed-palette-edit"
#define PIKA_HELP_INDEXED_PALETTE_ADD             "pika-indexed-palette-add"
#define PIKA_HELP_INDEXED_PALETTE_SELECTION_REPLACE "pika-indexed-palette-selection-replace"
#define PIKA_HELP_INDEXED_PALETTE_SELECTION_ADD   "pika-indexed-palette-selection-add"
#define PIKA_HELP_INDEXED_PALETTE_SELECTION_SUBTRACT "pika-indexed-palette-selection-subtract"
#define PIKA_HELP_INDEXED_PALETTE_SELECTION_INTERSECT "pika-indexed-palette-selection-intersect"

#define PIKA_HELP_POINTER_INFO_DIALOG             "pika-pointer-info-dialog"
#define PIKA_HELP_POINTER_INFO_SAMPLE_MERGED      "pika-pointer-info-sample-merged"

#define PIKA_HELP_SAMPLE_POINT_DIALOG             "pika-sample-point-dialog"
#define PIKA_HELP_SAMPLE_POINT_SAMPLE_MERGED      "pika-sample-point-sample-merged"

#define PIKA_HELP_DASHBOARD_DIALOG                "pika-dashboard-dialog"
#define PIKA_HELP_DASHBOARD_GROUPS                "pika-dashboard-groups"
#define PIKA_HELP_DASHBOARD_UPDATE_INTERVAL       "pika-dashboard-update-interval"
#define PIKA_HELP_DASHBOARD_HISTORY_DURATION      "pika-dashboard-history-duration"
#define PIKA_HELP_DASHBOARD_LOG_RECORD            "pika-dashboard-log-record"
#define PIKA_HELP_DASHBOARD_LOG_ADD_MARKER        "pika-dashboard-log-add-marker"
#define PIKA_HELP_DASHBOARD_LOG_ADD_EMPTY_MARKER  "pika-dashboard-log-add-empty-marker"
#define PIKA_HELP_DASHBOARD_RESET                 "pika-dashboard-reset"
#define PIKA_HELP_DASHBOARD_LOW_SWAP_SPACE_WARNING "pika-dashboard-low-swap-space-warning"

#define PIKA_HELP_DOCK                            "pika-dock"
#define PIKA_HELP_DOCK_CLOSE                      "pika-dock-close"
#define PIKA_HELP_DOCK_IMAGE_MENU                 "pika-dock-image-menu"
#define PIKA_HELP_DOCK_AUTO_BUTTON                "pika-dock-auto-button"
#define PIKA_HELP_DOCK_CHANGE_SCREEN              "pika-dock-change-screen"

#define PIKA_HELP_DOCK_TAB_ADD                    "pika-dock-tab-add"
#define PIKA_HELP_DOCK_TAB_CLOSE                  "pika-dock-tab-close"
#define PIKA_HELP_DOCK_TAB_LOCK                   "pika-dock-tab-lock"
#define PIKA_HELP_DOCK_TAB_MENU                   "pika-dock-tab-menu"
#define PIKA_HELP_DOCK_TAB_DETACH                 "pika-dock-tab-detach"
#define PIKA_HELP_DOCK_PREVIEW_SIZE               "pika-dock-preview-size"
#define PIKA_HELP_DOCK_TAB_STYLE                  "pika-dock-tab-style"
#define PIKA_HELP_DOCK_VIEW_AS_LIST               "pika-dock-view-as-list"
#define PIKA_HELP_DOCK_VIEW_AS_GRID               "pika-dock-view-as-grid"
#define PIKA_HELP_DOCK_SHOW_BUTTON_BAR            "pika-dock-show-button-bar"

#define PIKA_HELP_ABOUT_DIALOG                    "pika-about-dialog"
#define PIKA_HELP_ACTION_SEARCH_DIALOG            "pika-action-search-dialog"
#define PIKA_HELP_COLOR_DIALOG                    "pika-color-dialog"
#define PIKA_HELP_DEVICE_STATUS_DIALOG            "pika-device-status-dialog"
#define PIKA_HELP_DISPLAY_FILTER_DIALOG           "pika-display-filter-dialog"
#define PIKA_HELP_HISTOGRAM_DIALOG                "pika-histogram-dialog"
#define PIKA_HELP_MODULE_DIALOG                   "pika-module-dialog"
#define PIKA_HELP_NAVIGATION_DIALOG               "pika-navigation-dialog"
#define PIKA_HELP_SYMMETRY_DIALOG                 "pika-symmetry-dialog"
#define PIKA_HELP_TEXT_EDITOR_DIALOG              "pika-text-editor-dialog"
#define PIKA_HELP_TIPS_DIALOG                     "pika-tips-dialog"
#define PIKA_HELP_UNDO_DIALOG                     "pika-undo-dialog"
#define PIKA_HELP_WELCOME_DIALOG                  "pika-welcome-dialog"

#define PIKA_HELP_EXPORT_DIALOG                   "pika-export-dialog"
#define PIKA_HELP_EXPORT_CONFIRM_DIALOG           "pika-export-confirm-dialog"

#define PIKA_HELP_WINDOWS_SHOW_DOCK               "pika-windows-show-dock"
#define PIKA_HELP_WINDOWS_HIDE_DOCKS              "pika-windows-hide-docks"
#define PIKA_HELP_WINDOWS_SHOW_TABS               "pika-windows-show-tabs"
#define PIKA_HELP_WINDOWS_TABS_POSITION           "pika-windows-tabs-position"
#define PIKA_HELP_WINDOWS_USE_SINGLE_WINDOW_MODE  "pika-windows-use-single-window-mode"
#define PIKA_HELP_WINDOWS_OPEN_RECENT_DOCK        "pika-windows-open-recent-dock"

#define PIKA_HELP_HELP                            "pika-help"
#define PIKA_HELP_HELP_CONTEXT                    "pika-help-context"

/* Most of the colordisplay, colorselector and controller id's below are not
   used since they are needed in /libpikawidgets/ or /modules/ where this can't
   be used. Instead the strings are used there directly.
   We define them here anyway, to make pika-help aware of them.
 */
#define PIKA_HELP_COLORDISPLAY_ACES_RRT           "pika-colordisplay-aces-rrt"
#define PIKA_HELP_COLORDISPLAY_CLIP               "pika-colordisplay-clip"
#define PIKA_HELP_COLORDISPLAY_COLORBLIND         "pika-colordisplay-colorblind"
#define PIKA_HELP_COLORDISPLAY_CONTRAST           "pika-colordisplay-contrast"
#define PIKA_HELP_COLORDISPLAY_GAMMA              "pika-colordisplay-gamma"

#define PIKA_HELP_COLORSELECTOR_CMYK              "pika-colorselector-cmyk"
#define PIKA_HELP_COLORSELECTOR_PIKA              "pika-colorselector-pika"
#define PIKA_HELP_COLORSELECTOR_NOTEBOOK          "pika-colorselector-notebook"
#define PIKA_HELP_COLORSELECTOR_PALETTE           "pika-colorselector-palette"
#define PIKA_HELP_COLORSELECTOR_SCALES            "pika-colorselector-scales"
#define PIKA_HELP_COLORSELECTOR_TRIANGLE          "pika-colorselector-triangle"
#define PIKA_HELP_COLORSELECTOR_WATERCOLOR        "pika-colorselector-watercolor"

#define PIKA_HELP_CONTROLLER_KEYBOARD             "pika-controller-keyboard"
#define PIKA_HELP_CONTROLLER_DIRECTX_DIRECTINPUT  "pika-controller-directx-directinput"
#define PIKA_HELP_CONTROLLER_LINUX_INPUT          "pika-controller-linux-input"
#define PIKA_HELP_CONTROLLER_MIDI                 "pika-controller-midi"
#define PIKA_HELP_CONTROLLER_WHEEL                "pika-controller-wheel"

#define PIKA_HELP_EXTENSIONS_DIALOG               "pika-extensions-dialog"
#define PIKA_HELP_EXTENSIONS_INSTALLED            "pika-extensions-installed"
#define PIKA_HELP_EXTENSIONS_SYSTEM               "pika-extensions-system"
#define PIKA_HELP_EXTENSIONS_INSTALL              "pika-extensions-install"

#endif /* __PIKA_HELP_IDS_H__ */
