# Introspectable sources for libpika and libpikaui

PDB_WRAPPERS_C = \
	../libpika/pika_pdb.c			\
	../libpika/pikabrush_pdb.c		\
	../libpika/pikabrushes_pdb.c		\
	../libpika/pikabrushselect_pdb.c	\
	../libpika/pikabuffer_pdb.c		\
	../libpika/pikachannel_pdb.c		\
	../libpika/pikacontext_pdb.c		\
	../libpika/pikadebug_pdb.c		\
	../libpika/pikadisplay_pdb.c		\
	../libpika/pikadrawable_pdb.c		\
	../libpika/pikadrawablecolor_pdb.c	\
	../libpika/pikadrawableedit_pdb.c	\
	../libpika/pikadynamics_pdb.c		\
	../libpika/pikaedit_pdb.c		\
	../libpika/pikafile_pdb.c		\
	../libpika/pikafloatingsel_pdb.c	\
	../libpika/pikafont_pdb.c		\
	../libpika/pikafonts_pdb.c		\
	../libpika/pikafontselect_pdb.c		\
	../libpika/pikapikarc_pdb.c		\
	../libpika/pikagradient_pdb.c		\
	../libpika/pikagradients_pdb.c		\
	../libpika/pikagradientselect_pdb.c	\
	../libpika/pikahelp_pdb.c		\
	../libpika/pikaimage_pdb.c		\
	../libpika/pikaimagecolorprofile_pdb.c	\
	../libpika/pikaimageconvert_pdb.c	\
	../libpika/pikaimagegrid_pdb.c		\
	../libpika/pikaimageguides_pdb.c	\
	../libpika/pikaimagesamplepoints_pdb.c	\
	../libpika/pikaimageselect_pdb.c	\
	../libpika/pikaimagetransform_pdb.c	\
	../libpika/pikaimageundo_pdb.c		\
	../libpika/pikaitem_pdb.c		\
	../libpika/pikaitemtransform_pdb.c	\
	../libpika/pikalayer_pdb.c		\
	../libpika/pikamessage_pdb.c		\
	../libpika/pikapainttools_pdb.c		\
	../libpika/pikapalette_pdb.c		\
	../libpika/pikapalettes_pdb.c		\
	../libpika/pikapaletteselect_pdb.c	\
	../libpika/pikapattern_pdb.c		\
	../libpika/pikapatterns_pdb.c		\
	../libpika/pikapatternselect_pdb.c	\
	../libpika/pikaprogress_pdb.c		\
	../libpika/pikaselection_pdb.c		\
	../libpika/pikatextlayer_pdb.c		\
	../libpika/pikatexttool_pdb.c		\
	../libpika/pikavectors_pdb.c

PDB_WRAPPERS_H = \
	../libpika/pika_pdb_headers.h		\
	../libpika/pika_pdb.h			\
	../libpika/pikabrush_pdb.h		\
	../libpika/pikabrushes_pdb.h		\
	../libpika/pikabrushselect_pdb.h	\
	../libpika/pikabuffer_pdb.h		\
	../libpika/pikachannel_pdb.h		\
	../libpika/pikacontext_pdb.h		\
	../libpika/pikadebug_pdb.h		\
	../libpika/pikadisplay_pdb.h		\
	../libpika/pikadrawable_pdb.h		\
	../libpika/pikadrawablecolor_pdb.h	\
	../libpika/pikadrawableedit_pdb.h	\
	../libpika/pikadynamics_pdb.h		\
	../libpika/pikaedit_pdb.h		\
	../libpika/pikafile_pdb.h		\
	../libpika/pikafloatingsel_pdb.h	\
	../libpika/pikafont_pdb.h		\
	../libpika/pikafonts_pdb.h		\
	../libpika/pikafontselect_pdb.h		\
	../libpika/pikapikarc_pdb.h		\
	../libpika/pikagradient_pdb.h		\
	../libpika/pikagradients_pdb.h		\
	../libpika/pikagradientselect_pdb.h	\
	../libpika/pikahelp_pdb.h		\
	../libpika/pikaimage_pdb.h		\
	../libpika/pikaimagecolorprofile_pdb.h	\
	../libpika/pikaimageconvert_pdb.h	\
	../libpika/pikaimagegrid_pdb.h		\
	../libpika/pikaimageguides_pdb.h	\
	../libpika/pikaimagesamplepoints_pdb.h	\
	../libpika/pikaimageselect_pdb.h	\
	../libpika/pikaimagetransform_pdb.h	\
	../libpika/pikaimageundo_pdb.h		\
	../libpika/pikaitem_pdb.h		\
	../libpika/pikaitemtransform_pdb.h	\
	../libpika/pikalayer_pdb.h		\
	../libpika/pikamessage_pdb.h		\
	../libpika/pikapainttools_pdb.h		\
	../libpika/pikapalette_pdb.h		\
	../libpika/pikapalettes_pdb.h		\
	../libpika/pikapaletteselect_pdb.h	\
	../libpika/pikapattern_pdb.h		\
	../libpika/pikapatterns_pdb.h		\
	../libpika/pikapatternselect_pdb.h	\
	../libpika/pikaprogress_pdb.h		\
	../libpika/pikaselection_pdb.h		\
	../libpika/pikatextlayer_pdb.h		\
	../libpika/pikatexttool_pdb.h		\
	../libpika/pikavectors_pdb.h

libpika_built_sources = \
	pikaenums.c

libpika_introspectable_headers = \
	../libpika/pika.h			\
	../libpika/pikatypes.h			\
	../libpika/pikaenums.h			\
	${PDB_WRAPPERS_H}			\
	../libpika/pikabatchprocedure.h		\
	../libpika/pikachannel.h		\
	../libpika/pikadisplay.h		\
	../libpika/pikadrawable.h		\
	../libpika/pikafileprocedure.h		\
	../libpika/pikapikarc.h			\
	../libpika/pikaimage.h			\
	../libpika/pikaimagecolorprofile.h	\
	../libpika/pikaimagemetadata.h		\
	../libpika/pikaimageprocedure.h		\
	../libpika/pikaitem.h			\
	../libpika/pikalayer.h			\
	../libpika/pikalayermask.h		\
	../libpika/pikaloadprocedure.h		\
	../libpika/pikaparamspecs.h		\
	../libpika/pikaparamspecs-resource.h	\
	../libpika/pikapdb.h			\
	../libpika/pikaplugin.h			\
	../libpika/pikaprocedure.h		\
	../libpika/pikaprocedureconfig.h	\
	../libpika/pikaprogress.h		\
	../libpika/pikaresource.h		\
	../libpika/pikaresourceselect.h		\
	../libpika/pikaresource-subclass.h	\
	../libpika/pikasaveprocedure.h		\
	../libpika/pikaselection.h		\
	../libpika/pikatextlayer.h		\
	../libpika/pikathumbnailprocedure.h	\
	../libpika/pikavectors.h

libpika_introspectable = \
	$(libpika_introspectable_headers)	\
	$(libpika_built_sources)		\
	../libpika/pika.c			\
	${PDB_WRAPPERS_C}			\
	../libpika/pikabatchprocedure.c		\
	../libpika/pikachannel.c		\
	../libpika/pikadisplay.c		\
	../libpika/pikadrawable.c		\
	../libpika/pikafileprocedure.c		\
	../libpika/pikapikarc.c			\
	../libpika/pikaimage.c			\
	../libpika/pikaimagecolorprofile.c	\
	../libpika/pikaimagemetadata.c		\
	../libpika/pikaimagemetadata-save.c	\
	../libpika/pikaimageprocedure.c		\
	../libpika/pikaitem.c			\
	../libpika/pikalayer.c			\
	../libpika/pikalayermask.c		\
	../libpika/pikaloadprocedure.c		\
	../libpika/pikaparamspecs.c		\
	../libpika/pikapdb.c			\
	../libpika/pikaplugin.c			\
	../libpika/pikaprocedure.c		\
	../libpika/pikaprocedureconfig.c	\
	../libpika/pikaprogress.c		\
	../libpika/pikaresource.c		\
	../libpika/pikaresourceselect.c		\
	../libpika/pikaresource-subclass.c	\
	../libpika/pikasaveprocedure.c		\
	../libpika/pikaselection.c		\
	../libpika/pikatextlayer.c		\
	../libpika/pikathumbnailprocedure.c	\
	../libpika/pikavectors.c

libpikaui_introspectable_headers = \
	../libpika/pikaui.h			\
	../libpika/pikauitypes.h		\
	../libpika/pikaaspectpreview.h		\
	../libpika/pikabrushselectbutton.h	\
	../libpika/pikadrawablepreview.h   	\
	../libpika/pikaexport.h			\
	../libpika/pikafontselectbutton.h	\
	../libpika/pikagradientselectbutton.h	\
	../libpika/pikaimagecombobox.h		\
	../libpika/pikaitemcombobox.h		\
	../libpika/pikapaletteselectbutton.h	\
	../libpika/pikapatternselectbutton.h	\
	../libpika/pikaprocbrowserdialog.h	\
	../libpika/pikaproceduredialog.h	\
	../libpika/pikaprocview.h		\
	../libpika/pikaprogressbar.h		\
	../libpika/pikapropchooserfactory.h	\
	../libpika/pikaresourceselectbutton.h	\
	../libpika/pikasaveproceduredialog.h	\
	../libpika/pikazoompreview.h

libpikaui_introspectable = \
	$(libpikaui_introspectable_headers)	\
	../libpika/pikaui.c			\
	../libpika/pikaaspectpreview.c     	\
	../libpika/pikabrushselectbutton.c	\
	../libpika/pikadrawablepreview.c	\
	../libpika/pikaexport.c			\
	../libpika/pikafontselectbutton.c	\
	../libpika/pikagradientselectbutton.c	\
	../libpika/pikaimagecombobox.c		\
	../libpika/pikaitemcombobox.c		\
	../libpika/pikapaletteselectbutton.c	\
	../libpika/pikapatternselectbutton.c	\
	../libpika/pikaprocbrowserdialog.c	\
	../libpika/pikaproceduredialog.c	\
	../libpika/pikaprocview.c		\
	../libpika/pikapropchooserfactory.c	\
	../libpika/pikasaveproceduredialog.c	\
	../libpika/pikaprogressbar.c		\
	../libpika/pikaresourceselectbutton.c	\
	../libpika/pikazoompreview.c
