/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * pikauitypes.h
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_UI_TYPES_H__
#define __PIKA_UI_TYPES_H__

#include <libpikawidgets/pikawidgetstypes.h>

G_BEGIN_DECLS

/* For information look into the html documentation */


typedef struct _PikaProcedureDialog      PikaProcedureDialog;
typedef struct _PikaSaveProcedureDialog  PikaSaveProcedureDialog;

typedef struct _PikaAspectPreview        PikaAspectPreview;
typedef struct _PikaDrawablePreview      PikaDrawablePreview;
typedef struct _PikaProcBrowserDialog    PikaProcBrowserDialog;
typedef struct _PikaProgressBar          PikaProgressBar;
typedef struct _PikaZoomPreview          PikaZoomPreview;

typedef struct _PikaDrawableComboBox     PikaDrawableComboBox;
typedef struct _PikaChannelComboBox      PikaChannelComboBox;
typedef struct _PikaLayerComboBox        PikaLayerComboBox;
typedef struct _PikaVectorsComboBox      PikaVectorsComboBox;
typedef struct _PikaImageComboBox        PikaImageComboBox;

typedef struct _PikaSelectButton         PikaSelectButton;
typedef struct _PikaBrushSelectButton    PikaBrushSelectButton;
typedef struct _PikaFontSelectButton     PikaFontSelectButton;
typedef struct _PikaGradientSelectButton PikaGradientSelectButton;
typedef struct _PikaPaletteSelectButton  PikaPaletteSelectButton;
typedef struct _PikaPatternSelectButton  PikaPatternSelectButton;


G_END_DECLS

#endif /* __PIKA_UI_TYPES_H__ */
