/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_COLOR_H__
#define __PIKA_COLOR_H__

#define __PIKA_COLOR_H_INSIDE__

#include <libpikacolor/pikacolortypes.h>

#include <libpikacolor/pikaadaptivesupersample.h>
#include <libpikacolor/pikabilinear.h>
#include <libpikacolor/pikacairo.h>
#include <libpikacolor/pikacolormanaged.h>
#include <libpikacolor/pikacolorprofile.h>
#include <libpikacolor/pikacolorspace.h>
#include <libpikacolor/pikacolortransform.h>
#include <libpikacolor/pikacmyk.h>
#include <libpikacolor/pikahsl.h>
#include <libpikacolor/pikahsv.h>
#include <libpikacolor/pikapixbuf.h>
#include <libpikacolor/pikargb.h>

#undef __PIKA_COLOR_H_INSIDE__

#endif  /* __PIKA_COLOR_H__ */
