/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_CONFIG_H__
#define __PIKA_CONFIG_H__

#define __PIKA_CONFIG_H_INSIDE__

#include <libpikaconfig/pikaconfigtypes.h>

#include <libpikaconfig/pikaconfig-deserialize.h>
#include <libpikaconfig/pikaconfig-error.h>
#include <libpikaconfig/pikaconfig-iface.h>
#include <libpikaconfig/pikaconfig-params.h>
#include <libpikaconfig/pikaconfig-path.h>
#include <libpikaconfig/pikaconfig-register.h>
#include <libpikaconfig/pikaconfig-serialize.h>
#include <libpikaconfig/pikaconfig-utils.h>
#include <libpikaconfig/pikaconfigwriter.h>
#include <libpikaconfig/pikascanner.h>

#include <libpikaconfig/pikacolorconfig.h>

#undef __PIKA_CONFIG_H_INSIDE__

#endif  /* __PIKA_CONFIG_H__ */
