/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_MODULE_TYPES_H__
#define __PIKA_MODULE_TYPES_H__


#include <libpikabase/pikabasetypes.h>


G_BEGIN_DECLS

/* For information look into the C source or the html documentation */


typedef struct _PikaModule     PikaModule;
typedef struct _PikaModuleInfo PikaModuleInfo;
typedef struct _PikaModuleDB   PikaModuleDB;


G_END_DECLS

#endif  /* __PIKA_MODULE_TYPES_H__ */
