/* tiff for PIKA
 *  -Peter Mattis
 */

#ifndef __FILE_TIFF_H__
#define __FILE_TIFF_H__


typedef enum
{
 PIKA_COMPRESSION_NONE,
 PIKA_COMPRESSION_LZW,
 PIKA_COMPRESSION_PACKBITS,
 PIKA_COMPRESSION_ADOBE_DEFLATE,
 PIKA_COMPRESSION_JPEG,
 PIKA_COMPRESSION_CCITTFAX3,
 PIKA_COMPRESSION_CCITTFAX4
} PikaCompression;


gint             pika_compression_to_tiff_compression (PikaCompression compression);
PikaCompression  tiff_compression_to_pika_compression (gint            compression);


#endif /* __FILE_TIFF_H__ */
