#ifndef __LIGHTING_SHADE_H__
#define __LIGHTING_SHADE_H__

typedef PikaRGB (* get_ray_func) (PikaVector3 *vector);

PikaRGB get_ray_color                 (PikaVector3 *position);
PikaRGB get_ray_color_no_bilinear     (PikaVector3 *position);
PikaRGB get_ray_color_ref             (PikaVector3 *position);
PikaRGB get_ray_color_no_bilinear_ref (PikaVector3 *position);

void    precompute_init               (gint         w,
				       gint         h);
void    precompute_normals            (gint         x1,
				       gint         x2,
				       gint         y);
void    interpol_row                  (gint         x1,
                                       gint         x2,
                                       gint         y);

#endif  /* __LIGHTING_SHADE_H__ */
