/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_PICKABLE_AUTO_SHRINK_H__
#define __PIKA_PICKABLE_AUTO_SHRINK_H__


typedef enum
{
  PIKA_AUTO_SHRINK_SHRINK,
  PIKA_AUTO_SHRINK_EMPTY,
  PIKA_AUTO_SHRINK_UNSHRINKABLE
} PikaAutoShrink;


PikaAutoShrink   pika_pickable_auto_shrink (PikaPickable *pickable,
                                            gint         x,
                                            gint         y,
                                            gint         width,
                                            gint         height,
                                            gint        *shrunk_x,
                                            gint        *shrunk_y,
                                            gint        *shrunk_width,
                                            gint        *shrunk_height);


#endif  /* __PIKA_PICKABLE_AUTO_SHRINK_H__ */
