/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * pikaapp.h
 * Copyright (C) 2021 Niels De Graef <nielsdegraef@gmail.com>
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_APP_H__
#define __PIKA_APP_H__


#define PIKA_TYPE_APP (pika_app_get_type ())
G_DECLARE_FINAL_TYPE (PikaApp, pika_app, PIKA, APP, GtkApplication)

GApplication * pika_app_new                   (Pika        *pika,
                                               gboolean     no_splash,
                                               gboolean     quit,
                                               gboolean     as_new,
                                               const char **filenames,
                                               const char  *batch_interpreter,
                                               const char **batch_commands);

gboolean       pika_app_get_no_splash         (PikaApp     *self);

#endif /* __PIKA_APP_H__ */
