
/* Generated data (by pika-mkenums) */

#include "stamp-operations-enums.h"
#include "config.h"
#include <gio/gio.h>
#include "libpikabase/pikabase.h"
#include "operations-enums.h"
#include "pika-intl.h"

/* enumerations from "operations-enums.h" */
GType
pika_layer_color_space_get_type (void)
{
  static const GEnumValue values[] =
  {
    { PIKA_LAYER_COLOR_SPACE_AUTO, "PIKA_LAYER_COLOR_SPACE_AUTO", "auto" },
    { PIKA_LAYER_COLOR_SPACE_RGB_LINEAR, "PIKA_LAYER_COLOR_SPACE_RGB_LINEAR", "rgb-linear" },
    { PIKA_LAYER_COLOR_SPACE_RGB_PERCEPTUAL, "PIKA_LAYER_COLOR_SPACE_RGB_PERCEPTUAL", "rgb-perceptual" },
    { PIKA_LAYER_COLOR_SPACE_LAB, "PIKA_LAYER_COLOR_SPACE_LAB", "lab" },
    { 0, NULL, NULL }
  };

  static const PikaEnumDesc descs[] =
  {
    { PIKA_LAYER_COLOR_SPACE_AUTO, NC_("layer-color-space", "Auto"), NULL },
    { PIKA_LAYER_COLOR_SPACE_RGB_LINEAR, NC_("layer-color-space", "RGB (linear)"), NULL },
    { PIKA_LAYER_COLOR_SPACE_RGB_PERCEPTUAL, NC_("layer-color-space", "RGB (perceptual)"), NULL },
    { PIKA_LAYER_COLOR_SPACE_LAB, NC_("layer-color-space", "LAB"), NULL },
    { 0, NULL, NULL }
  };

  static GType type = 0;

  if (G_UNLIKELY (! type))
    {
      type = g_enum_register_static ("PikaLayerColorSpace", values);
      pika_type_set_translation_context (type, "layer-color-space");
      pika_enum_set_value_descriptions (type, descs);
    }

  return type;
}

GType
pika_layer_composite_mode_get_type (void)
{
  static const GEnumValue values[] =
  {
    { PIKA_LAYER_COMPOSITE_AUTO, "PIKA_LAYER_COMPOSITE_AUTO", "auto" },
    { PIKA_LAYER_COMPOSITE_UNION, "PIKA_LAYER_COMPOSITE_UNION", "union" },
    { PIKA_LAYER_COMPOSITE_CLIP_TO_BACKDROP, "PIKA_LAYER_COMPOSITE_CLIP_TO_BACKDROP", "clip-to-backdrop" },
    { PIKA_LAYER_COMPOSITE_CLIP_TO_LAYER, "PIKA_LAYER_COMPOSITE_CLIP_TO_LAYER", "clip-to-layer" },
    { PIKA_LAYER_COMPOSITE_INTERSECTION, "PIKA_LAYER_COMPOSITE_INTERSECTION", "intersection" },
    { 0, NULL, NULL }
  };

  static const PikaEnumDesc descs[] =
  {
    { PIKA_LAYER_COMPOSITE_AUTO, NC_("layer-composite-mode", "Auto"), NULL },
    { PIKA_LAYER_COMPOSITE_UNION, NC_("layer-composite-mode", "Union"), NULL },
    { PIKA_LAYER_COMPOSITE_CLIP_TO_BACKDROP, NC_("layer-composite-mode", "Clip to backdrop"), NULL },
    { PIKA_LAYER_COMPOSITE_CLIP_TO_LAYER, NC_("layer-composite-mode", "Clip to layer"), NULL },
    { PIKA_LAYER_COMPOSITE_INTERSECTION, NC_("layer-composite-mode", "Intersection"), NULL },
    { 0, NULL, NULL }
  };

  static GType type = 0;

  if (G_UNLIKELY (! type))
    {
      type = g_enum_register_static ("PikaLayerCompositeMode", values);
      pika_type_set_translation_context (type, "layer-composite-mode");
      pika_enum_set_value_descriptions (type, descs);
    }

  return type;
}

GType
pika_layer_mode_get_type (void)
{
  static const GEnumValue values[] =
  {
    { PIKA_LAYER_MODE_NORMAL_LEGACY, "PIKA_LAYER_MODE_NORMAL_LEGACY", "normal-legacy" },
    { PIKA_LAYER_MODE_DISSOLVE, "PIKA_LAYER_MODE_DISSOLVE", "dissolve" },
    { PIKA_LAYER_MODE_BEHIND_LEGACY, "PIKA_LAYER_MODE_BEHIND_LEGACY", "behind-legacy" },
    { PIKA_LAYER_MODE_MULTIPLY_LEGACY, "PIKA_LAYER_MODE_MULTIPLY_LEGACY", "multiply-legacy" },
    { PIKA_LAYER_MODE_SCREEN_LEGACY, "PIKA_LAYER_MODE_SCREEN_LEGACY", "screen-legacy" },
    { PIKA_LAYER_MODE_OVERLAY_LEGACY, "PIKA_LAYER_MODE_OVERLAY_LEGACY", "overlay-legacy" },
    { PIKA_LAYER_MODE_DIFFERENCE_LEGACY, "PIKA_LAYER_MODE_DIFFERENCE_LEGACY", "difference-legacy" },
    { PIKA_LAYER_MODE_ADDITION_LEGACY, "PIKA_LAYER_MODE_ADDITION_LEGACY", "addition-legacy" },
    { PIKA_LAYER_MODE_SUBTRACT_LEGACY, "PIKA_LAYER_MODE_SUBTRACT_LEGACY", "subtract-legacy" },
    { PIKA_LAYER_MODE_DARKEN_ONLY_LEGACY, "PIKA_LAYER_MODE_DARKEN_ONLY_LEGACY", "darken-only-legacy" },
    { PIKA_LAYER_MODE_LIGHTEN_ONLY_LEGACY, "PIKA_LAYER_MODE_LIGHTEN_ONLY_LEGACY", "lighten-only-legacy" },
    { PIKA_LAYER_MODE_HSV_HUE_LEGACY, "PIKA_LAYER_MODE_HSV_HUE_LEGACY", "hsv-hue-legacy" },
    { PIKA_LAYER_MODE_HSV_SATURATION_LEGACY, "PIKA_LAYER_MODE_HSV_SATURATION_LEGACY", "hsv-saturation-legacy" },
    { PIKA_LAYER_MODE_HSL_COLOR_LEGACY, "PIKA_LAYER_MODE_HSL_COLOR_LEGACY", "hsl-color-legacy" },
    { PIKA_LAYER_MODE_HSV_VALUE_LEGACY, "PIKA_LAYER_MODE_HSV_VALUE_LEGACY", "hsv-value-legacy" },
    { PIKA_LAYER_MODE_DIVIDE_LEGACY, "PIKA_LAYER_MODE_DIVIDE_LEGACY", "divide-legacy" },
    { PIKA_LAYER_MODE_DODGE_LEGACY, "PIKA_LAYER_MODE_DODGE_LEGACY", "dodge-legacy" },
    { PIKA_LAYER_MODE_BURN_LEGACY, "PIKA_LAYER_MODE_BURN_LEGACY", "burn-legacy" },
    { PIKA_LAYER_MODE_HARDLIGHT_LEGACY, "PIKA_LAYER_MODE_HARDLIGHT_LEGACY", "hardlight-legacy" },
    { PIKA_LAYER_MODE_SOFTLIGHT_LEGACY, "PIKA_LAYER_MODE_SOFTLIGHT_LEGACY", "softlight-legacy" },
    { PIKA_LAYER_MODE_GRAIN_EXTRACT_LEGACY, "PIKA_LAYER_MODE_GRAIN_EXTRACT_LEGACY", "grain-extract-legacy" },
    { PIKA_LAYER_MODE_GRAIN_MERGE_LEGACY, "PIKA_LAYER_MODE_GRAIN_MERGE_LEGACY", "grain-merge-legacy" },
    { PIKA_LAYER_MODE_COLOR_ERASE_LEGACY, "PIKA_LAYER_MODE_COLOR_ERASE_LEGACY", "color-erase-legacy" },
    { PIKA_LAYER_MODE_OVERLAY, "PIKA_LAYER_MODE_OVERLAY", "overlay" },
    { PIKA_LAYER_MODE_LCH_HUE, "PIKA_LAYER_MODE_LCH_HUE", "lch-hue" },
    { PIKA_LAYER_MODE_LCH_CHROMA, "PIKA_LAYER_MODE_LCH_CHROMA", "lch-chroma" },
    { PIKA_LAYER_MODE_LCH_COLOR, "PIKA_LAYER_MODE_LCH_COLOR", "lch-color" },
    { PIKA_LAYER_MODE_LCH_LIGHTNESS, "PIKA_LAYER_MODE_LCH_LIGHTNESS", "lch-lightness" },
    { PIKA_LAYER_MODE_NORMAL, "PIKA_LAYER_MODE_NORMAL", "normal" },
    { PIKA_LAYER_MODE_BEHIND, "PIKA_LAYER_MODE_BEHIND", "behind" },
    { PIKA_LAYER_MODE_MULTIPLY, "PIKA_LAYER_MODE_MULTIPLY", "multiply" },
    { PIKA_LAYER_MODE_SCREEN, "PIKA_LAYER_MODE_SCREEN", "screen" },
    { PIKA_LAYER_MODE_DIFFERENCE, "PIKA_LAYER_MODE_DIFFERENCE", "difference" },
    { PIKA_LAYER_MODE_ADDITION, "PIKA_LAYER_MODE_ADDITION", "addition" },
    { PIKA_LAYER_MODE_SUBTRACT, "PIKA_LAYER_MODE_SUBTRACT", "subtract" },
    { PIKA_LAYER_MODE_DARKEN_ONLY, "PIKA_LAYER_MODE_DARKEN_ONLY", "darken-only" },
    { PIKA_LAYER_MODE_LIGHTEN_ONLY, "PIKA_LAYER_MODE_LIGHTEN_ONLY", "lighten-only" },
    { PIKA_LAYER_MODE_HSV_HUE, "PIKA_LAYER_MODE_HSV_HUE", "hsv-hue" },
    { PIKA_LAYER_MODE_HSV_SATURATION, "PIKA_LAYER_MODE_HSV_SATURATION", "hsv-saturation" },
    { PIKA_LAYER_MODE_HSL_COLOR, "PIKA_LAYER_MODE_HSL_COLOR", "hsl-color" },
    { PIKA_LAYER_MODE_HSV_VALUE, "PIKA_LAYER_MODE_HSV_VALUE", "hsv-value" },
    { PIKA_LAYER_MODE_DIVIDE, "PIKA_LAYER_MODE_DIVIDE", "divide" },
    { PIKA_LAYER_MODE_DODGE, "PIKA_LAYER_MODE_DODGE", "dodge" },
    { PIKA_LAYER_MODE_BURN, "PIKA_LAYER_MODE_BURN", "burn" },
    { PIKA_LAYER_MODE_HARDLIGHT, "PIKA_LAYER_MODE_HARDLIGHT", "hardlight" },
    { PIKA_LAYER_MODE_SOFTLIGHT, "PIKA_LAYER_MODE_SOFTLIGHT", "softlight" },
    { PIKA_LAYER_MODE_GRAIN_EXTRACT, "PIKA_LAYER_MODE_GRAIN_EXTRACT", "grain-extract" },
    { PIKA_LAYER_MODE_GRAIN_MERGE, "PIKA_LAYER_MODE_GRAIN_MERGE", "grain-merge" },
    { PIKA_LAYER_MODE_VIVID_LIGHT, "PIKA_LAYER_MODE_VIVID_LIGHT", "vivid-light" },
    { PIKA_LAYER_MODE_PIN_LIGHT, "PIKA_LAYER_MODE_PIN_LIGHT", "pin-light" },
    { PIKA_LAYER_MODE_LINEAR_LIGHT, "PIKA_LAYER_MODE_LINEAR_LIGHT", "linear-light" },
    { PIKA_LAYER_MODE_HARD_MIX, "PIKA_LAYER_MODE_HARD_MIX", "hard-mix" },
    { PIKA_LAYER_MODE_EXCLUSION, "PIKA_LAYER_MODE_EXCLUSION", "exclusion" },
    { PIKA_LAYER_MODE_LINEAR_BURN, "PIKA_LAYER_MODE_LINEAR_BURN", "linear-burn" },
    { PIKA_LAYER_MODE_LUMA_DARKEN_ONLY, "PIKA_LAYER_MODE_LUMA_DARKEN_ONLY", "luma-darken-only" },
    { PIKA_LAYER_MODE_LUMA_LIGHTEN_ONLY, "PIKA_LAYER_MODE_LUMA_LIGHTEN_ONLY", "luma-lighten-only" },
    { PIKA_LAYER_MODE_LUMINANCE, "PIKA_LAYER_MODE_LUMINANCE", "luminance" },
    { PIKA_LAYER_MODE_COLOR_ERASE, "PIKA_LAYER_MODE_COLOR_ERASE", "color-erase" },
    { PIKA_LAYER_MODE_ERASE, "PIKA_LAYER_MODE_ERASE", "erase" },
    { PIKA_LAYER_MODE_MERGE, "PIKA_LAYER_MODE_MERGE", "merge" },
    { PIKA_LAYER_MODE_SPLIT, "PIKA_LAYER_MODE_SPLIT", "split" },
    { PIKA_LAYER_MODE_PASS_THROUGH, "PIKA_LAYER_MODE_PASS_THROUGH", "pass-through" },
    { PIKA_LAYER_MODE_REPLACE, "PIKA_LAYER_MODE_REPLACE", "replace" },
    { PIKA_LAYER_MODE_ANTI_ERASE, "PIKA_LAYER_MODE_ANTI_ERASE", "anti-erase" },
    { 0, NULL, NULL }
  };

  static const PikaEnumDesc descs[] =
  {
    { PIKA_LAYER_MODE_NORMAL_LEGACY, NC_("layer-mode", "Normal (legacy)"), NULL },
    /* Translators: this is an abbreviated version of "Normal (legacy)".
       Keep it short. */
    { PIKA_LAYER_MODE_NORMAL_LEGACY, NC_("layer-mode", "Normal (l)"), NULL },
    { PIKA_LAYER_MODE_DISSOLVE, NC_("layer-mode", "Dissolve"), NULL },
    { PIKA_LAYER_MODE_BEHIND_LEGACY, NC_("layer-mode", "Behind (legacy)"), NULL },
    /* Translators: this is an abbreviated version of "Behind (legacy)".
       Keep it short. */
    { PIKA_LAYER_MODE_BEHIND_LEGACY, NC_("layer-mode", "Behind (l)"), NULL },
    { PIKA_LAYER_MODE_MULTIPLY_LEGACY, NC_("layer-mode", "Multiply (legacy)"), NULL },
    /* Translators: this is an abbreviated version of "Multiply (legacy)".
       Keep it short. */
    { PIKA_LAYER_MODE_MULTIPLY_LEGACY, NC_("layer-mode", "Multiply (l)"), NULL },
    { PIKA_LAYER_MODE_SCREEN_LEGACY, NC_("layer-mode", "Screen (legacy)"), NULL },
    /* Translators: this is an abbreviated version of "Screen (legacy)".
       Keep it short. */
    { PIKA_LAYER_MODE_SCREEN_LEGACY, NC_("layer-mode", "Screen (l)"), NULL },
    { PIKA_LAYER_MODE_OVERLAY_LEGACY, NC_("layer-mode", "Old broken Overlay"), NULL },
    /* Translators: this is an abbreviated version of "Old broken Overlay".
       Keep it short. */
    { PIKA_LAYER_MODE_OVERLAY_LEGACY, NC_("layer-mode", "Old Overlay"), NULL },
    { PIKA_LAYER_MODE_DIFFERENCE_LEGACY, NC_("layer-mode", "Difference (legacy)"), NULL },
    /* Translators: this is an abbreviated version of "Difference (legacy)".
       Keep it short. */
    { PIKA_LAYER_MODE_DIFFERENCE_LEGACY, NC_("layer-mode", "Difference (l)"), NULL },
    { PIKA_LAYER_MODE_ADDITION_LEGACY, NC_("layer-mode", "Addition (legacy)"), NULL },
    /* Translators: this is an abbreviated version of "Addition (legacy)".
       Keep it short. */
    { PIKA_LAYER_MODE_ADDITION_LEGACY, NC_("layer-mode", "Addition (l)"), NULL },
    { PIKA_LAYER_MODE_SUBTRACT_LEGACY, NC_("layer-mode", "Subtract (legacy)"), NULL },
    /* Translators: this is an abbreviated version of "Subtract (legacy)".
       Keep it short. */
    { PIKA_LAYER_MODE_SUBTRACT_LEGACY, NC_("layer-mode", "Subtract (l)"), NULL },
    { PIKA_LAYER_MODE_DARKEN_ONLY_LEGACY, NC_("layer-mode", "Darken only (legacy)"), NULL },
    /* Translators: this is an abbreviated version of "Darken only (legacy)".
       Keep it short. */
    { PIKA_LAYER_MODE_DARKEN_ONLY_LEGACY, NC_("layer-mode", "Darken only (l)"), NULL },
    { PIKA_LAYER_MODE_LIGHTEN_ONLY_LEGACY, NC_("layer-mode", "Lighten only (legacy)"), NULL },
    /* Translators: this is an abbreviated version of "Lighten only (legacy)".
       Keep it short. */
    { PIKA_LAYER_MODE_LIGHTEN_ONLY_LEGACY, NC_("layer-mode", "Lighten only (l)"), NULL },
    { PIKA_LAYER_MODE_HSV_HUE_LEGACY, NC_("layer-mode", "HSV Hue (legacy)"), NULL },
    /* Translators: this is an abbreviated version of "HSV Hue (legacy)".
       Keep it short. */
    { PIKA_LAYER_MODE_HSV_HUE_LEGACY, NC_("layer-mode", "HSV Hue (l)"), NULL },
    { PIKA_LAYER_MODE_HSV_SATURATION_LEGACY, NC_("layer-mode", "HSV Saturation (legacy)"), NULL },
    /* Translators: this is an abbreviated version of "HSV Saturation (legacy)".
       Keep it short. */
    { PIKA_LAYER_MODE_HSV_SATURATION_LEGACY, NC_("layer-mode", "HSV Saturation (l)"), NULL },
    { PIKA_LAYER_MODE_HSL_COLOR_LEGACY, NC_("layer-mode", "HSL Color (legacy)"), NULL },
    /* Translators: this is an abbreviated version of "HSL Color (legacy)".
       Keep it short. */
    { PIKA_LAYER_MODE_HSL_COLOR_LEGACY, NC_("layer-mode", "HSL Color (l)"), NULL },
    { PIKA_LAYER_MODE_HSV_VALUE_LEGACY, NC_("layer-mode", "HSV Value (legacy)"), NULL },
    /* Translators: this is an abbreviated version of "HSV Value (legacy)".
       Keep it short. */
    { PIKA_LAYER_MODE_HSV_VALUE_LEGACY, NC_("layer-mode", "HSV Value (l)"), NULL },
    { PIKA_LAYER_MODE_DIVIDE_LEGACY, NC_("layer-mode", "Divide (legacy)"), NULL },
    /* Translators: this is an abbreviated version of "Divide (legacy)".
       Keep it short. */
    { PIKA_LAYER_MODE_DIVIDE_LEGACY, NC_("layer-mode", "Divide (l)"), NULL },
    { PIKA_LAYER_MODE_DODGE_LEGACY, NC_("layer-mode", "Dodge (legacy)"), NULL },
    /* Translators: this is an abbreviated version of "Dodge (legacy)".
       Keep it short. */
    { PIKA_LAYER_MODE_DODGE_LEGACY, NC_("layer-mode", "Dodge (l)"), NULL },
    { PIKA_LAYER_MODE_BURN_LEGACY, NC_("layer-mode", "Burn (legacy)"), NULL },
    /* Translators: this is an abbreviated version of "Burn (legacy)".
       Keep it short. */
    { PIKA_LAYER_MODE_BURN_LEGACY, NC_("layer-mode", "Burn (l)"), NULL },
    { PIKA_LAYER_MODE_HARDLIGHT_LEGACY, NC_("layer-mode", "Hard light (legacy)"), NULL },
    /* Translators: this is an abbreviated version of "Hard light (legacy)".
       Keep it short. */
    { PIKA_LAYER_MODE_HARDLIGHT_LEGACY, NC_("layer-mode", "Hard light (l)"), NULL },
    { PIKA_LAYER_MODE_SOFTLIGHT_LEGACY, NC_("layer-mode", "Soft light (legacy)"), NULL },
    /* Translators: this is an abbreviated version of "Soft light (legacy)".
       Keep it short. */
    { PIKA_LAYER_MODE_SOFTLIGHT_LEGACY, NC_("layer-mode", "Soft light (l)"), NULL },
    { PIKA_LAYER_MODE_GRAIN_EXTRACT_LEGACY, NC_("layer-mode", "Grain extract (legacy)"), NULL },
    /* Translators: this is an abbreviated version of "Grain extract (legacy)".
       Keep it short. */
    { PIKA_LAYER_MODE_GRAIN_EXTRACT_LEGACY, NC_("layer-mode", "Grain extract (l)"), NULL },
    { PIKA_LAYER_MODE_GRAIN_MERGE_LEGACY, NC_("layer-mode", "Grain merge (legacy)"), NULL },
    /* Translators: this is an abbreviated version of "Grain merge (legacy)".
       Keep it short. */
    { PIKA_LAYER_MODE_GRAIN_MERGE_LEGACY, NC_("layer-mode", "Grain merge (l)"), NULL },
    { PIKA_LAYER_MODE_COLOR_ERASE_LEGACY, NC_("layer-mode", "Color erase (legacy)"), NULL },
    /* Translators: this is an abbreviated version of "Color erase (legacy)".
       Keep it short. */
    { PIKA_LAYER_MODE_COLOR_ERASE_LEGACY, NC_("layer-mode", "Color erase (l)"), NULL },
    { PIKA_LAYER_MODE_OVERLAY, NC_("layer-mode", "Overlay"), NULL },
    { PIKA_LAYER_MODE_LCH_HUE, NC_("layer-mode", "LCh Hue"), NULL },
    { PIKA_LAYER_MODE_LCH_CHROMA, NC_("layer-mode", "LCh Chroma"), NULL },
    { PIKA_LAYER_MODE_LCH_COLOR, NC_("layer-mode", "LCh Color"), NULL },
    { PIKA_LAYER_MODE_LCH_LIGHTNESS, NC_("layer-mode", "LCh Lightness"), NULL },
    { PIKA_LAYER_MODE_NORMAL, NC_("layer-mode", "Normal"), NULL },
    { PIKA_LAYER_MODE_BEHIND, NC_("layer-mode", "Behind"), NULL },
    { PIKA_LAYER_MODE_MULTIPLY, NC_("layer-mode", "Multiply"), NULL },
    { PIKA_LAYER_MODE_SCREEN, NC_("layer-mode", "Screen"), NULL },
    { PIKA_LAYER_MODE_DIFFERENCE, NC_("layer-mode", "Difference"), NULL },
    { PIKA_LAYER_MODE_ADDITION, NC_("layer-mode", "Addition"), NULL },
    { PIKA_LAYER_MODE_SUBTRACT, NC_("layer-mode", "Subtract"), NULL },
    { PIKA_LAYER_MODE_DARKEN_ONLY, NC_("layer-mode", "Darken only"), NULL },
    { PIKA_LAYER_MODE_LIGHTEN_ONLY, NC_("layer-mode", "Lighten only"), NULL },
    { PIKA_LAYER_MODE_HSV_HUE, NC_("layer-mode", "HSV Hue"), NULL },
    { PIKA_LAYER_MODE_HSV_SATURATION, NC_("layer-mode", "HSV Saturation"), NULL },
    { PIKA_LAYER_MODE_HSL_COLOR, NC_("layer-mode", "HSL Color"), NULL },
    { PIKA_LAYER_MODE_HSV_VALUE, NC_("layer-mode", "HSV Value"), NULL },
    { PIKA_LAYER_MODE_DIVIDE, NC_("layer-mode", "Divide"), NULL },
    { PIKA_LAYER_MODE_DODGE, NC_("layer-mode", "Dodge"), NULL },
    { PIKA_LAYER_MODE_BURN, NC_("layer-mode", "Burn"), NULL },
    { PIKA_LAYER_MODE_HARDLIGHT, NC_("layer-mode", "Hard light"), NULL },
    { PIKA_LAYER_MODE_SOFTLIGHT, NC_("layer-mode", "Soft light"), NULL },
    { PIKA_LAYER_MODE_GRAIN_EXTRACT, NC_("layer-mode", "Grain extract"), NULL },
    { PIKA_LAYER_MODE_GRAIN_MERGE, NC_("layer-mode", "Grain merge"), NULL },
    { PIKA_LAYER_MODE_VIVID_LIGHT, NC_("layer-mode", "Vivid light"), NULL },
    { PIKA_LAYER_MODE_PIN_LIGHT, NC_("layer-mode", "Pin light"), NULL },
    { PIKA_LAYER_MODE_LINEAR_LIGHT, NC_("layer-mode", "Linear light"), NULL },
    { PIKA_LAYER_MODE_HARD_MIX, NC_("layer-mode", "Hard mix"), NULL },
    { PIKA_LAYER_MODE_EXCLUSION, NC_("layer-mode", "Exclusion"), NULL },
    { PIKA_LAYER_MODE_LINEAR_BURN, NC_("layer-mode", "Linear burn"), NULL },
    { PIKA_LAYER_MODE_LUMA_DARKEN_ONLY, NC_("layer-mode", "Luma/Luminance darken only"), NULL },
    /* Translators: this is an abbreviated version of "Luma/Luminance darken only".
       Keep it short. */
    { PIKA_LAYER_MODE_LUMA_DARKEN_ONLY, NC_("layer-mode", "Luma darken only"), NULL },
    { PIKA_LAYER_MODE_LUMA_LIGHTEN_ONLY, NC_("layer-mode", "Luma/Luminance lighten only"), NULL },
    /* Translators: this is an abbreviated version of "Luma/Luminance lighten only".
       Keep it short. */
    { PIKA_LAYER_MODE_LUMA_LIGHTEN_ONLY, NC_("layer-mode", "Luma lighten only"), NULL },
    { PIKA_LAYER_MODE_LUMINANCE, NC_("layer-mode", "Luminance"), NULL },
    { PIKA_LAYER_MODE_COLOR_ERASE, NC_("layer-mode", "Color erase"), NULL },
    { PIKA_LAYER_MODE_ERASE, NC_("layer-mode", "Erase"), NULL },
    { PIKA_LAYER_MODE_MERGE, NC_("layer-mode", "Merge"), NULL },
    { PIKA_LAYER_MODE_SPLIT, NC_("layer-mode", "Split"), NULL },
    { PIKA_LAYER_MODE_PASS_THROUGH, NC_("layer-mode", "Pass through"), NULL },
    { PIKA_LAYER_MODE_REPLACE, NC_("layer-mode", "Replace"), NULL },
    { PIKA_LAYER_MODE_ANTI_ERASE, NC_("layer-mode", "Anti erase"), NULL },
    { 0, NULL, NULL }
  };

  static GType type = 0;

  if (G_UNLIKELY (! type))
    {
      type = g_enum_register_static ("PikaLayerMode", values);
      pika_type_set_translation_context (type, "layer-mode");
      pika_enum_set_value_descriptions (type, descs);
    }

  return type;
}

GType
pika_layer_mode_group_get_type (void)
{
  static const GEnumValue values[] =
  {
    { PIKA_LAYER_MODE_GROUP_DEFAULT, "PIKA_LAYER_MODE_GROUP_DEFAULT", "default" },
    { PIKA_LAYER_MODE_GROUP_LEGACY, "PIKA_LAYER_MODE_GROUP_LEGACY", "legacy" },
    { 0, NULL, NULL }
  };

  static const PikaEnumDesc descs[] =
  {
    { PIKA_LAYER_MODE_GROUP_DEFAULT, NC_("layer-mode-group", "Default"), NULL },
    { PIKA_LAYER_MODE_GROUP_LEGACY, NC_("layer-mode-group", "Legacy"), NULL },
    { 0, NULL, NULL }
  };

  static GType type = 0;

  if (G_UNLIKELY (! type))
    {
      type = g_enum_register_static ("PikaLayerModeGroup", values);
      pika_type_set_translation_context (type, "layer-mode-group");
      pika_enum_set_value_descriptions (type, descs);
    }

  return type;
}

GType
pika_layer_mode_context_get_type (void)
{
  static const GFlagsValue values[] =
  {
    { PIKA_LAYER_MODE_CONTEXT_LAYER, "PIKA_LAYER_MODE_CONTEXT_LAYER", "layer" },
    { PIKA_LAYER_MODE_CONTEXT_GROUP, "PIKA_LAYER_MODE_CONTEXT_GROUP", "group" },
    { PIKA_LAYER_MODE_CONTEXT_PAINT, "PIKA_LAYER_MODE_CONTEXT_PAINT", "paint" },
    { PIKA_LAYER_MODE_CONTEXT_FILTER, "PIKA_LAYER_MODE_CONTEXT_FILTER", "filter" },
    { PIKA_LAYER_MODE_CONTEXT_ALL, "PIKA_LAYER_MODE_CONTEXT_ALL", "all" },
    { 0, NULL, NULL }
  };

  static const PikaFlagsDesc descs[] =
  {
    { PIKA_LAYER_MODE_CONTEXT_LAYER, "PIKA_LAYER_MODE_CONTEXT_LAYER", NULL },
    { PIKA_LAYER_MODE_CONTEXT_GROUP, "PIKA_LAYER_MODE_CONTEXT_GROUP", NULL },
    { PIKA_LAYER_MODE_CONTEXT_PAINT, "PIKA_LAYER_MODE_CONTEXT_PAINT", NULL },
    { PIKA_LAYER_MODE_CONTEXT_FILTER, "PIKA_LAYER_MODE_CONTEXT_FILTER", NULL },
    { PIKA_LAYER_MODE_CONTEXT_ALL, "PIKA_LAYER_MODE_CONTEXT_ALL", NULL },
    { 0, NULL, NULL }
  };

  static GType type = 0;

  if (G_UNLIKELY (! type))
    {
      type = g_flags_register_static ("PikaLayerModeContext", values);
      pika_type_set_translation_context (type, "layer-mode-context");
      pika_flags_set_value_descriptions (type, descs);
    }

  return type;
}


/* Generated data ends here */

