/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * Wilber Cairo rendering
 * Copyright (C) 2008  Sven Neumann <sven@gimp.org>
 *
 * Some code here is based on code from librsvg that was originally
 * written by Raph Levien <raph@artofcode.com> for Gill.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_CAIRO_MASCOT_H__
#define __PIKA_CAIRO_MASCOT_H__


void   pika_cairo_mascot_toggle_pointer_eyes (void);


void   pika_cairo_draw_toolbox_mascot        (GtkWidget *widget,
                                              cairo_t   *cr);
void   pika_cairo_draw_drop_mascot           (GtkWidget *widget,
                                              cairo_t   *cr,
                                              gboolean   blink);

void   pika_cairo_mascot                     (cairo_t   *cr,
                                              gdouble    x,
                                              gdouble    y);
void   pika_cairo_mascot_get_size            (cairo_t   *cr,
                                              gdouble   *width,
                                              gdouble   *height);


#endif /* __PIKA_CAIRO_MASCOT_H__ */
