/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikadynamicsoutputeditor.h
 * Copyright (C) 2010 Alexia Death
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_DYNAMICS_OUTPUT_EDITOR_H__
#define __PIKA_DYNAMICS_OUTPUT_EDITOR_H__


#define PIKA_TYPE_DYNAMICS_OUTPUT_EDITOR            (pika_dynamics_output_editor_get_type ())
#define PIKA_DYNAMICS_OUTPUT_EDITOR(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_DYNAMICS_OUTPUT_EDITOR, PikaDynamicsOutputEditor))
#define PIKA_DYNAMICS_OUTPUT_EDITOR_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_DYNAMICS_OUTPUT_EDITOR, PikaDynamicsOutputEditorClass))
#define PIKA_IS_DYNAMICS_OUTPUT_EDITOR(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_DYNAMICS_OUTPUT_EDITOR))
#define PIKA_IS_DYNAMICS_OUTPUT_EDITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_DYNAMICS_OUTPUT_EDITOR))
#define PIKA_DYNAMICS_OUTPUT_EDITOR_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_DYNAMICS_OUTPUT_EDITOR, PikaDynamicsOutputEditorClass))


typedef struct _PikaDynamicsOutputEditorClass PikaDynamicsOutputEditorClass;

struct _PikaDynamicsOutputEditor
{
  GtkBox  parent_instance;
};

struct _PikaDynamicsOutputEditorClass
{
  GtkBoxClass  parent_class;
};


GType       pika_dynamics_output_editor_get_type (void) G_GNUC_CONST;

GtkWidget * pika_dynamics_output_editor_new      (PikaDynamicsOutput *output);


#endif /* __PIKA_DYNAMICS_OUTPUT_EDITOR_H__ */
